# emojicpp
Emoji :smile: for c++ developers :+1:

This will convert emoji codes in strings to unicode emojis. 


```c++
emojicpp::emojize("Emoji :smile: for c++ :+1:") 
```

**Output**


> Emoji 😄 for c++ 👍


**Sample program**

```c++
#include <iostream>
#include "emoji.h"

int main() {
    std::cout << emojicpp::emojize("Emoji :smile: for c++ :+1:") << std::endl;
    return 0;
}
```

**How To Run Sample?**
```
$ chmod +x run.sh
$ ./run.sh
```

Supported Emojis
------------------

| Code          | Emoji     |
| ------------- | --------- |
| ```:admission_tickets:``` | 🎟️ |
| ```:aerial_tramway:``` | :aerial_tramway: |
| ```:airplane:``` | :airplane: |
| ```:airplane_arriving:``` | 🛬 |
| ```:airplane_departure:``` | 🛫 |
| ```:alarm_clock:``` | :alarm_clock: |
| ```:alembic:``` | :alembic: |
| ```:space_invader:``` | :space_invader: |
| ```:ambulance:``` | :ambulance: |
| ```:football:``` | :football: |
| ```:amphora:``` | :amphora: |
| ```:anchor:``` | :anchor: |
| ```:anger:``` | :anger: |
| ```:angry:``` | :angry: |
| ```:anguished:``` | :anguished: |
| ```:ant:``` | :ant: |
| ```:signal_strength:``` | :signal_strength: |
| ```:arrows_counterclockwise:``` | :arrows_counterclockwise: |
| ```:aquarius:``` | :aquarius: |
| ```:aries:``` | :aries: |
| ```:arrow_heading_down:``` | :arrow_heading_down: |
| ```:arrow_heading_up:``` | :arrow_heading_up: |
| ```:articulated_lorry:``` | :articulated_lorry: |
| ```:art:``` | :art: |
| ```:astonished:``` | :astonished: |
| ```:athletic_shoe:``` | :athletic_shoe: |
| ```:atom_symbol:``` | :atom_symbol: |
| ```:eggplant:``` | :eggplant: |
| ```:atm:``` | :atm: |
| ```:car:``` | :car: |
| ```:red_car:``` | :red_car: |
| ```:baby:``` | :baby: |
| ```:angel:``` | :angel: |
| ```:baby_bottle:``` | :baby_bottle: |
| ```:baby_chick:``` | :baby_chick: |
| ```:baby_symbol:``` | :baby_symbol: |
| ```:back:``` | :back: |
| ```:camel:``` | :camel: |
| ```:badminton_racquet_and_shuttlecock:``` | 🏸 |
| ```:baggage_claim:``` | :baggage_claim: |
| ```:balloon:``` | :balloon: |
| ```:ballot_box_with_ballot:``` | 🗳️ |
| ```:ballot_box_with_check:``` | :ballot_box_with_check: |
| ```:banana:``` | :banana: |
| ```:bank:``` | :bank: |
| ```:dollar:``` | :dollar: |
| ```:euro:``` | :euro: |
| ```:pound:``` | :pound: |
| ```:yen:``` | :yen: |
| ```:bar_chart:``` | :bar_chart: |
| ```:barber:``` | :barber: |
| ```:baseball:``` | :baseball: |
| ```:basketball:``` | :basketball: |
| ```:bath:``` | :bath: |
| ```:bathtub:``` | :bathtub: |
| ```:battery:``` | :battery: |
| ```:beach_with_umbrella:``` | 🏖️ |
| ```:bear:``` | :bear: |
| ```:heartbeat:``` | :heartbeat: |
| ```:bed:``` | :bed: |
| ```:beer:``` | :beer: |
| ```:bell:``` | :bell: |
| ```:no_bell:``` | :no_bell: |
| ```:bellhop_bell:``` | :bellhop_bell: |
| ```:bento:``` | :bento: |
| ```:bike:``` | :bike: |
| ```:bicyclist:``` | :bicyclist: |
| ```:bikini:``` | :bikini: |
| ```:8ball:``` | :8ball: |
| ```:biohazard_sign:``` | ☣️ |
| ```:bird:``` | :bird: |
| ```:birthday:``` | :birthday: |
| ```:black_circle_for_record:``` | ⏺️ |
| ```:clubs:``` | :clubs: |
| ```:diamonds:``` | :diamonds: |
| ```:arrow_double_down:``` | :arrow_double_down: |
| ```:hearts:``` | :hearts: |
| ```:black_large_square:``` | :black_large_square: |
| ```:rewind:``` | :rewind: |
| ```:black_left__pointing_double_triangle_with_vertical_bar:``` | ⏮️ |
| ```:arrow_backward:``` | :arrow_backward: |
| ```:black_medium_small_square:``` | :black_medium_small_square: |
| ```:black_medium_square:``` | :black_medium_square: |
| ```:black_nib:``` | :black_nib: |
| ```:question:``` | :question: |
| ```:fast_forward:``` | :fast_forward: |
| ```:black_right__pointing_double_triangle_with_vertical_bar:``` | ⏭️ |
| ```:arrow_forward:``` | :arrow_forward: |
| ```:black_right__pointing_triangle_with_double_vertical_bar:``` | ⏯️ |
| ```:arrow_right:``` | :arrow_right: |
| ```:scissors:``` | :scissors: |
| ```:black_small_square:``` | :black_small_square: |
| ```:spades:``` | :spades: |
| ```:black_square_button:``` | :black_square_button: |
| ```:black_square_for_stop:``` | ⏹️ |
| ```:sunny:``` | :sunny: |
| ```:phone:``` | :phone: |
| ```:telephone:``` | :telephone: |
| ```:recycle:``` | :recycle: |
| ```:arrow_double_up:``` | :arrow_double_up: |
| ```:blossom:``` | :blossom: |
| ```:blowfish:``` | :blowfish: |
| ```:blue_book:``` | :blue_book: |
| ```:blue_heart:``` | :blue_heart: |
| ```:boar:``` | :boar: |
| ```:bomb:``` | :bomb: |
| ```:bookmark:``` | :bookmark: |
| ```:bookmark_tabs:``` | :bookmark_tabs: |
| ```:books:``` | :books: |
| ```:bottle_with_popping_cork:``` | 🍾 |
| ```:bouquet:``` | :bouquet: |
| ```:bow_and_arrow:``` | :bow_and_arrow: |
| ```:bowling:``` | :bowling: |
| ```:boy:``` | :boy: |
| ```:bread:``` | :bread: |
| ```:bride_with_veil:``` | :bride_with_veil: |
| ```:bridge_at_night:``` | :bridge_at_night: |
| ```:briefcase:``` | :briefcase: |
| ```:broken_heart:``` | :broken_heart: |
| ```:bug:``` | :bug: |
| ```:building_construction:``` | :building_construction: |
| ```:burrito:``` | :burrito: |
| ```:bus:``` | :bus: |
| ```:busstop:``` | :busstop: |
| ```:bust_in_silhouette:``` | :bust_in_silhouette: |
| ```:busts_in_silhouette:``` | :busts_in_silhouette: |
| ```:cactus:``` | :cactus: |
| ```:date:``` | :date: |
| ```:camera:``` | :camera: |
| ```:camera_with_flash:``` | 📸 |
| ```:camping:``` | :camping: |
| ```:cancer:``` | :cancer: |
| ```:candle:``` | :candle: |
| ```:candy:``` | :candy: |
| ```:capricorn:``` | :capricorn: |
| ```:card_file_box:``` | :card_file_box: |
| ```:card_index:``` | :card_index: |
| ```:card_index_dividers:``` | :card_index_dividers: |
| ```:carousel_horse:``` | :carousel_horse: |
| ```:flags:``` | :flags: |
| ```:cat2:``` | :cat2: |
| ```:cat:``` | :cat: |
| ```:joy_cat:``` | :joy_cat: |
| ```:smirk_cat:``` | :smirk_cat: |
| ```:chains:``` | :chains: |
| ```:chart_with_downwards_trend:``` | :chart_with_downwards_trend: |
| ```:chart_with_upwards_trend:``` | :chart_with_upwards_trend: |
| ```:chart:``` | :chart: |
| ```:mega:``` | :mega: |
| ```:cheese_wedge:``` | 🧀 |
| ```:checkered_flag:``` | :checkered_flag: |
| ```:cherries:``` | :cherries: |
| ```:cherry_blossom:``` | :cherry_blossom: |
| ```:chestnut:``` | :chestnut: |
| ```:chicken:``` | :chicken: |
| ```:children_crossing:``` | :children_crossing: |
| ```:chipmunk:``` | :chipmunk: |
| ```:chocolate_bar:``` | :chocolate_bar: |
| ```:christmas_tree:``` | :christmas_tree: |
| ```:church:``` | :church: |
| ```:cinema:``` | :cinema: |
| ```:accept:``` | :accept: |
| ```:ideograph_advantage:``` | :ideograph_advantage: |
| ```:congratulations:``` | :congratulations: |
| ```:secret:``` | :secret: |
| ```:m:``` | :m: |
| ```:circus_tent:``` | :circus_tent: |
| ```:cityscape:``` | :cityscape: |
| ```:city_sunset:``` | :city_sunset: |
| ```:clapper:``` | :clapper: |
| ```:clap:``` | :clap: |
| ```:classical_building:``` | :classical_building: |
| ```:beers:``` | :beers: |
| ```:clipboard:``` | :clipboard: |
| ```:clock830:``` | :clock830: |
| ```:clock8:``` | :clock8: |
| ```:clock1130:``` | :clock1130: |
| ```:clock11:``` | :clock11: |
| ```:clock530:``` | :clock530: |
| ```:clock5:``` | :clock5: |
| ```:clock430:``` | :clock430: |
| ```:clock4:``` | :clock4: |
| ```:clock930:``` | :clock930: |
| ```:clock9:``` | :clock9: |
| ```:clock130:``` | :clock130: |
| ```:clock1:``` | :clock1: |
| ```:clock730:``` | :clock730: |
| ```:clock7:``` | :clock7: |
| ```:clock630:``` | :clock630: |
| ```:clock6:``` | :clock6: |
| ```:clock1030:``` | :clock1030: |
| ```:clock10:``` | :clock10: |
| ```:clock330:``` | :clock330: |
| ```:clock3:``` | :clock3: |
| ```:clock1230:``` | :clock1230: |
| ```:clock12:``` | :clock12: |
| ```:clock230:``` | :clock230: |
| ```:clock2:``` | :clock2: |
| ```:arrows_clockwise:``` | :arrows_clockwise: |
| ```:repeat:``` | :repeat: |
| ```:repeat_one:``` | :repeat_one: |
| ```:closed_book:``` | :closed_book: |
| ```:closed_lock_with_key:``` | :closed_lock_with_key: |
| ```:mailbox_closed:``` | :mailbox_closed: |
| ```:mailbox:``` | :mailbox: |
| ```:closed_umbrella:``` | :closed_umbrella: |
| ```:cloud:``` | :cloud: |
| ```:cloud_with_lightning:``` | :cloud_with_lightning: |
| ```:cloud_with_rain:``` | :cloud_with_rain: |
| ```:cloud_with_snow:``` | :cloud_with_snow: |
| ```:cloud_with_tornado:``` | 🌪️ |
| ```:cocktail:``` | :cocktail: |
| ```:coffin:``` | :coffin: |
| ```:boom:``` | :boom: |
| ```:collision:``` | :collision: |
| ```:comet:``` | :comet: |
| ```:compression:``` | 🗜️ |
| ```:confetti_ball:``` | :confetti_ball: |
| ```:confounded:``` | :confounded: |
| ```:confused:``` | :confused: |
| ```:construction:``` | :construction: |
| ```:construction_worker:``` | :construction_worker: |
| ```:control_knobs:``` | :control_knobs: |
| ```:convenience_store:``` | :convenience_store: |
| ```:rice:``` | :rice: |
| ```:cookie:``` | :cookie: |
| ```:egg:``` | :egg: |
| ```:copyright:``` | :copyright: |
| ```:couch_and_lamp:``` | :couch_and_lamp: |
| ```:couple_with_heart:``` | :couple_with_heart: |
| ```:cow2:``` | :cow2: |
| ```:cow:``` | :cow: |
| ```:crab:``` | :crab: |
| ```:credit_card:``` | :credit_card: |
| ```:crescent_moon:``` | :crescent_moon: |
| ```:cricket_bat_and_ball:``` | 🏏 |
| ```:crocodile:``` | :crocodile: |
| ```:x:``` | :x: |
| ```:crossed_flags:``` | :crossed_flags: |
| ```:crossed_swords:``` | :crossed_swords: |
| ```:crown:``` | :crown: |
| ```:crying_cat_face:``` | :crying_cat_face: |
| ```:cry:``` | :cry: |
| ```:crystal_ball:``` | :crystal_ball: |
| ```:curly_loop:``` | :curly_loop: |
| ```:currency_exchange:``` | :currency_exchange: |
| ```:curry:``` | :curry: |
| ```:custard:``` | :custard: |
| ```:customs:``` | :customs: |
| ```:cyclone:``` | :cyclone: |
| ```:dagger_knife:``` | 🗡️ |
| ```:dancer:``` | :dancer: |
| ```:dango:``` | :dango: |
| ```:dark_sunglasses:``` | :dark_sunglasses: |
| ```:dash:``` | :dash: |
| ```:deciduous_tree:``` | :deciduous_tree: |
| ```:truck:``` | :truck: |
| ```:department_store:``` | :department_store: |
| ```:derelict_house_building:``` | 🏚️ |
| ```:desert:``` | :desert: |
| ```:desert_island:``` | :desert_island: |
| ```:desktop_computer:``` | :desktop_computer: |
| ```:diamond_shape_with_a_dot_inside:``` | :diamond_shape_with_a_dot_inside: |
| ```:dart:``` | :dart: |
| ```:disappointed_relieved:``` | :disappointed_relieved: |
| ```:disappointed:``` | :disappointed: |
| ```:dizzy_face:``` | :dizzy_face: |
| ```:dizzy:``` | :dizzy: |
| ```:do_not_litter:``` | :do_not_litter: |
| ```:dog2:``` | :dog2: |
| ```:dog:``` | :dog: |
| ```:dolphin:``` | :dolphin: |
| ```:flipper:``` | :flipper: |
| ```:door:``` | :door: |
| ```:loop:``` | :loop: |
| ```:bangbang:``` | :bangbang: |
| ```:double_vertical_bar:``` | &#9208; |
| ```:doughnut:``` | :doughnut: |
| ```:dove_of_peace:``` | &#x1f54a; |
| ```:small_red_triangle_down:``` | :small_red_triangle_down: |
| ```:arrow_down_small:``` | :arrow_down_small: |
| ```:arrow_down:``` | :arrow_down: |
| ```:dragon:``` | :dragon: |
| ```:dragon_face:``` | :dragon_face: |
| ```:dress:``` | :dress: |
| ```:dromedary_camel:``` | :dromedary_camel: |
| ```:droplet:``` | :droplet: |
| ```:dvd:``` | :dvd: |
| ```:e__mail:``` | &#x1f4e7; |
| ```:ear:``` | :ear: |
| ```:corn:``` | :corn: |
| ```:ear_of_rice:``` | :ear_of_rice: |
| ```:earth_americas:``` | :earth_americas: |
| ```:earth_asia:``` | :earth_asia: |
| ```:earth_africa:``` | :earth_africa: |
| ```:eight_pointed_black_star:``` | :eight_pointed_black_star: |
| ```:eight_spoked_asterisk:``` | :eight_spoked_asterisk: |
| ```:eject_symbol:``` | &#x23cf; |
| ```:bulb:``` | :bulb: |
| ```:electric_plug:``` | :electric_plug: |
| ```:flashlight:``` | :flashlight: |
| ```:elephant:``` | :elephant: |
| ```:emoji_modifier_fitzpatrick_type__1__2:``` | &#x1f3fb; |
| ```:emoji_modifier_fitzpatrick_type__3:``` | &#x1f3fc; |
| ```:emoji_modifier_fitzpatrick_type__4:``` | &#x1f3fd; |
| ```:emoji_modifier_fitzpatrick_type__5:``` | &#x1f3fe; |
| ```:emoji_modifier_fitzpatrick_type__6:``` | &#x1f3ff; |
| ```:end:``` | :end: |
| ```:email:``` | :email: |
| ```:envelope:``` | :envelope: |
| ```:envelope_with_arrow:``` | :envelope_with_arrow: |
| ```:european_castle:``` | :european_castle: |
| ```:european_post_office:``` | :european_post_office: |
| ```:evergreen_tree:``` | :evergreen_tree: |
| ```:interrobang:``` | :interrobang: |
| ```:expressionless:``` | :expressionless: |
| ```:alien:``` | :alien: |
| ```:eye:``` | :eye: |
| ```:eyeglasses:``` | :eyeglasses: |
| ```:eyes:``` | :eyes: |
| ```:massage:``` | :massage: |
| ```:yum:``` | :yum: |
| ```:scream:``` | :scream: |
| ```:kissing_heart:``` | :kissing_heart: |
| ```:sweat:``` | :sweat: |
| ```:face_with_head__bandage:``` | &#x1f915; |
| ```:triumph:``` | :triumph: |
| ```:mask:``` | :mask: |
| ```:no_good:``` | :no_good: |
| ```:ok_woman:``` | :ok_woman: |
| ```:open_mouth:``` | :open_mouth: |
| ```:cold_sweat:``` | :cold_sweat: |
| ```:face_with_rolling_eyes:``` | 🙄 |
| ```:stuck_out_tongue:``` | :stuck_out_tongue: |
| ```:stuck_out_tongue_closed_eyes:``` | :stuck_out_tongue_closed_eyes: |
| ```:stuck_out_tongue_winking_eye:``` | :stuck_out_tongue_winking_eye: |
| ```:joy:``` | :joy: |
| ```:face_with_thermometer:``` | :face_with_thermometer: |
| ```:no_mouth:``` | :no_mouth: |
| ```:factory:``` | :factory: |
| ```:fallen_leaf:``` | :fallen_leaf: |
| ```:family:``` | :family: |
| ```:santa:``` | :santa: |
| ```:fax:``` | :fax: |
| ```:fearful:``` | :fearful: |
| ```:ferris_wheel:``` | :ferris_wheel: |
| ```:ferry:``` | :ferry: |
| ```:field_hockey_stick_and_ball:``` | 🏑 |
| ```:file_cabinet:``` | :file_cabinet: |
| ```:file_folder:``` | :file_folder: |
| ```:film_frames:``` | 🎞️ |
| ```:film_projector:``` | :film_projector: |
| ```:fire:``` | :fire: |
| ```:fire_engine:``` | :fire_engine: |
| ```:sparkler:``` | :sparkler: |
| ```:fireworks:``` | :fireworks: |
| ```:first_quarter_moon:``` | :first_quarter_moon: |
| ```:first_quarter_moon_with_face:``` | :first_quarter_moon_with_face: |
| ```:fish:``` | :fish: |
| ```:fish_cake:``` | :fish_cake: |
| ```:fishing_pole_and_fish:``` | :fishing_pole_and_fish: |
| ```:facepunch:``` | :facepunch: |
| ```:punch:``` | :punch: |
| ```:flag_for_Afghanistan:``` | :flag_for_Afghanistan: |
| ```:flag_for_Albania:``` | :flag_for_Albania: |
| ```:flag_for_Algeria:``` | :flag_for_Algeria: |
| ```:flag_for_American_Samoa:``` | :flag_for_American_Samoa: |
| ```:flag_for_Andorra:``` | :flag_for_Andorra: |
| ```:flag_for_Angola:``` | :flag_for_Angola: |
| ```:flag_for_Anguilla:``` | :flag_for_Anguilla: |
| ```:flag_for_Antarctica:``` | :flag_for_Antarctica: |
| ```:flag_for_Antigua_&_Barbuda:``` | :flag_for_Antigua_&_Barbuda: |
| ```:flag_for_Argentina:``` | :flag_for_Argentina: |
| ```:flag_for_Armenia:``` | :flag_for_Armenia: |
| ```:flag_for_Aruba:``` | :flag_for_Aruba: |
| ```:flag_for_Ascension_Island:``` | :flag_for_Ascension_Island: |
| ```:flag_for_Australia:``` | :flag_for_Australia: |
| ```:flag_for_Austria:``` | :flag_for_Austria: |
| ```:flag_for_Azerbaijan:``` | :flag_for_Azerbaijan: |
| ```:flag_for_Bahamas:``` | :flag_for_Bahamas: |
| ```:flag_for_Bahrain:``` | :flag_for_Bahrain: |
| ```:flag_for_Bangladesh:``` | :flag_for_Bangladesh: |
| ```:flag_for_Barbados:``` | :flag_for_Barbados: |
| ```:flag_for_Belarus:``` | :flag_for_Belarus: |
| ```:flag_for_Belgium:``` | :flag_for_Belgium: |
| ```:flag_for_Belize:``` | :flag_for_Belize: |
| ```:flag_for_Benin:``` | :flag_for_Benin: |
| ```:flag_for_Bermuda:``` | :flag_for_Bermuda: |
| ```:flag_for_Bhutan:``` | :flag_for_Bhutan: |
| ```:flag_for_Bolivia:``` | :flag_for_Bolivia: |
| ```:flag_for_Bosnia_&_Herzegovina:``` | :flag_for_Bosnia_&_Herzegovina: |
| ```:flag_for_Botswana:``` | :flag_for_Botswana: |
| ```:flag_for_Bouvet_Island:``` | :flag_for_Bouvet_Island: |
| ```:flag_for_Brazil:``` | :flag_for_Brazil: |
| ```:flag_for_British_Indian_Ocean_Territory:``` | :flag_for_British_Indian_Ocean_Territory: |
| ```:flag_for_British_Virgin_Islands:``` | :flag_for_British_Virgin_Islands: |
| ```:flag_for_Brunei:``` | :flag_for_Brunei: |
| ```:flag_for_Bulgaria:``` | :flag_for_Bulgaria: |
| ```:flag_for_Burkina_Faso:``` | :flag_for_Burkina_Faso: |
| ```:flag_for_Burundi:``` | :flag_for_Burundi: |
| ```:flag_for_Cambodia:``` | :flag_for_Cambodia: |
| ```:flag_for_Cameroon:``` | :flag_for_Cameroon: |
| ```:flag_for_Canada:``` | :flag_for_Canada: |
| ```:flag_for_Canary_Islands:``` | :flag_for_Canary_Islands: |
| ```:flag_for_Cape_Verde:``` | :flag_for_Cape_Verde: |
| ```:flag_for_Caribbean_Netherlands:``` | :flag_for_Caribbean_Netherlands: |
| ```:flag_for_Cayman_Islands:``` | :flag_for_Cayman_Islands: |
| ```:flag_for_Central_African_Republic:``` | :flag_for_Central_African_Republic: |
| ```:flag_for_Ceuta_&_Melilla:``` | :flag_for_Ceuta_&_Melilla: |
| ```:flag_for_Chad:``` | :flag_for_Chad: |
| ```:flag_for_Chile:``` | :flag_for_Chile: |
| ```:flag_for_China:``` | :flag_for_China: |
| ```:flag_for_Christmas_Island:``` | :flag_for_Christmas_Island: |
| ```:flag_for_Clipperton_Island:``` | :flag_for_Clipperton_Island: |
| ```:flag_for_Cocos__Islands:``` | :flag_for_Cocos__Islands: |
| ```:flag_for_Colombia:``` | :flag_for_Colombia: |
| ```:flag_for_Comoros:``` | :flag_for_Comoros: |
| ```:flag_for_Congo____Brazzaville:``` | :flag_for_Congo____Brazzaville: |
| ```:flag_for_Congo____Kinshasa:``` | :flag_for_Congo____Kinshasa: |
| ```:flag_for_Cook_Islands:``` | :flag_for_Cook_Islands: |
| ```:flag_for_Costa_Rica:``` | :flag_for_Costa_Rica: |
| ```:flag_for_Croatia:``` | :flag_for_Croatia: |
| ```:flag_for_Cuba:``` | :flag_for_Cuba: |
| ```:flag_for_Curaçao:``` | :flag_for_Curaçao: |
| ```:flag_for_Cyprus:``` | :flag_for_Cyprus: |
| ```:flag_for_Czech_Republic:``` | :flag_for_Czech_Republic: |
| ```:flag_for_Côte_d’Ivoire:``` | :flag_for_Côte_d’Ivoire: |
| ```:flag_for_Denmark:``` | :flag_for_Denmark: |
| ```:flag_for_Diego_Garcia:``` | :flag_for_Diego_Garcia: |
| ```:flag_for_Djibouti:``` | :flag_for_Djibouti: |
| ```:flag_for_Dominica:``` | :flag_for_Dominica: |
| ```:flag_for_Dominican_Republic:``` | :flag_for_Dominican_Republic: |
| ```:flag_for_Ecuador:``` | :flag_for_Ecuador: |
| ```:flag_for_Egypt:``` | :flag_for_Egypt: |
| ```:flag_for_El_Salvador:``` | :flag_for_El_Salvador: |
| ```:flag_for_Equatorial_Guinea:``` | :flag_for_Equatorial_Guinea: |
| ```:flag_for_Eritrea:``` | :flag_for_Eritrea: |
| ```:flag_for_Estonia:``` | :flag_for_Estonia: |
| ```:flag_for_Ethiopia:``` | :flag_for_Ethiopia: |
| ```:flag_for_European_Union:``` | :flag_for_European_Union: |
| ```:flag_for_Falkland_Islands:``` | :flag_for_Falkland_Islands: |
| ```:flag_for_Faroe_Islands:``` | :flag_for_Faroe_Islands: |
| ```:flag_for_Fiji:``` | :flag_for_Fiji: |
| ```:flag_for_Finland:``` | :flag_for_Finland: |
| ```:flag_for_France:``` | :flag_for_France: |
| ```:flag_for_French_Guiana:``` | :flag_for_French_Guiana: |
| ```:flag_for_French_Polynesia:``` | :flag_for_French_Polynesia: |
| ```:flag_for_French_Southern_Territories:``` | :flag_for_French_Southern_Territories: |
| ```:flag_for_Gabon:``` | :flag_for_Gabon: |
| ```:flag_for_Gambia:``` | :flag_for_Gambia: |
| ```:flag_for_Georgia:``` | :flag_for_Georgia: |
| ```:flag_for_Germany:``` | :flag_for_Germany: |
| ```:flag_for_Ghana:``` | :flag_for_Ghana: |
| ```:flag_for_Gibraltar:``` | :flag_for_Gibraltar: |
| ```:flag_for_Greece:``` | :flag_for_Greece: |
| ```:flag_for_Greenland:``` | :flag_for_Greenland: |
| ```:flag_for_Grenada:``` | :flag_for_Grenada: |
| ```:flag_for_Guadeloupe:``` | :flag_for_Guadeloupe: |
| ```:flag_for_Guam:``` | :flag_for_Guam: |
| ```:flag_for_Guatemala:``` | :flag_for_Guatemala: |
| ```:flag_for_Guernsey:``` | :flag_for_Guernsey: |
| ```:flag_for_Guinea:``` | :flag_for_Guinea: |
| ```:flag_for_Guinea__Bissau:``` | :flag_for_Guinea__Bissau: |
| ```:flag_for_Guyana:``` | :flag_for_Guyana: |
| ```:flag_for_Haiti:``` | :flag_for_Haiti: |
| ```:flag_for_Heard_&_McDonald_Islands:``` | :flag_for_Heard_&_McDonald_Islands: |
| ```:flag_for_Honduras:``` | :flag_for_Honduras: |
| ```:flag_for_Hong_Kong:``` | :flag_for_Hong_Kong: |
| ```:flag_for_Hungary:``` | :flag_for_Hungary: |
| ```:flag_for_Iceland:``` | :flag_for_Iceland: |
| ```:flag_for_India:``` | :flag_for_India: |
| ```:flag_for_Indonesia:``` | :flag_for_Indonesia: |
| ```:flag_for_Iran:``` | :flag_for_Iran: |
| ```:flag_for_Iraq:``` | :flag_for_Iraq: |
| ```:flag_for_Ireland:``` | :flag_for_Ireland: |
| ```:flag_for_Isle_of_Man:``` | :flag_for_Isle_of_Man: |
| ```:flag_for_Israel:``` | :flag_for_Israel: |
| ```:flag_for_Italy:``` | :flag_for_Italy: |
| ```:flag_for_Jamaica:``` | :flag_for_Jamaica: |
| ```:flag_for_Japan:``` | :flag_for_Japan: |
| ```:flag_for_Jersey:``` | :flag_for_Jersey: |
| ```:flag_for_Jordan:``` | :flag_for_Jordan: |
| ```:flag_for_Kazakhstan:``` | :flag_for_Kazakhstan: |
| ```:flag_for_Kenya:``` | :flag_for_Kenya: |
| ```:flag_for_Kiribati:``` | :flag_for_Kiribati: |
| ```:flag_for_Kosovo:``` | :flag_for_Kosovo: |
| ```:flag_for_Kuwait:``` | :flag_for_Kuwait: |
| ```:flag_for_Kyrgyzstan:``` | :flag_for_Kyrgyzstan: |
| ```:flag_for_Laos:``` | :flag_for_Laos: |
| ```:flag_for_Latvia:``` | :flag_for_Latvia: |
| ```:flag_for_Lebanon:``` | :flag_for_Lebanon: |
| ```:flag_for_Lesotho:``` | :flag_for_Lesotho: |
| ```:flag_for_Liberia:``` | :flag_for_Liberia: |
| ```:flag_for_Libya:``` | :flag_for_Libya: |
| ```:flag_for_Liechtenstein:``` | :flag_for_Liechtenstein: |
| ```:flag_for_Lithuania:``` | :flag_for_Lithuania: |
| ```:flag_for_Luxembourg:``` | :flag_for_Luxembourg: |
| ```:flag_for_Macau:``` | :flag_for_Macau: |
| ```:flag_for_Macedonia:``` | :flag_for_Macedonia: |
| ```:flag_for_Madagascar:``` | :flag_for_Madagascar: |
| ```:flag_for_Malawi:``` | :flag_for_Malawi: |
| ```:flag_for_Malaysia:``` | :flag_for_Malaysia: |
| ```:flag_for_Maldives:``` | :flag_for_Maldives: |
| ```:flag_for_Mali:``` | :flag_for_Mali: |
| ```:flag_for_Malta:``` | :flag_for_Malta: |
| ```:flag_for_Marshall_Islands:``` | :flag_for_Marshall_Islands: |
| ```:flag_for_Martinique:``` | :flag_for_Martinique: |
| ```:flag_for_Mauritania:``` | :flag_for_Mauritania: |
| ```:flag_for_Mauritius:``` | :flag_for_Mauritius: |
| ```:flag_for_Mayotte:``` | :flag_for_Mayotte: |
| ```:flag_for_Mexico:``` | :flag_for_Mexico: |
| ```:flag_for_Micronesia:``` | :flag_for_Micronesia: |
| ```:flag_for_Moldova:``` | :flag_for_Moldova: |
| ```:flag_for_Monaco:``` | :flag_for_Monaco: |
| ```:flag_for_Mongolia:``` | :flag_for_Mongolia: |
| ```:flag_for_Montenegro:``` | :flag_for_Montenegro: |
| ```:flag_for_Montserrat:``` | :flag_for_Montserrat: |
| ```:flag_for_Morocco:``` | :flag_for_Morocco: |
| ```:flag_for_Mozambique:``` | :flag_for_Mozambique: |
| ```:flag_for_Myanmar:``` | :flag_for_Myanmar: |
| ```:flag_for_Namibia:``` | :flag_for_Namibia: |
| ```:flag_for_Nauru:``` | :flag_for_Nauru: |
| ```:flag_for_Nepal:``` | :flag_for_Nepal: |
| ```:flag_for_Netherlands:``` | :flag_for_Netherlands: |
| ```:flag_for_New_Caledonia:``` | :flag_for_New_Caledonia: |
| ```:flag_for_New_Zealand:``` | :flag_for_New_Zealand: |
| ```:flag_for_Nicaragua:``` | :flag_for_Nicaragua: |
| ```:flag_for_Niger:``` | :flag_for_Niger: |
| ```:flag_for_Nigeria:``` | :flag_for_Nigeria: |
| ```:flag_for_Niue:``` | :flag_for_Niue: |
| ```:flag_for_Norfolk_Island:``` | :flag_for_Norfolk_Island: |
| ```:flag_for_North_Korea:``` | :flag_for_North_Korea: |
| ```:flag_for_Northern_Mariana_Islands:``` | :flag_for_Northern_Mariana_Islands: |
| ```:flag_for_Norway:``` | :flag_for_Norway: |
| ```:flag_for_Oman:``` | :flag_for_Oman: |
| ```:flag_for_Pakistan:``` | :flag_for_Pakistan: |
| ```:flag_for_Palau:``` | :flag_for_Palau: |
| ```:flag_for_Palestinian_Territories:``` | :flag_for_Palestinian_Territories: |
| ```:flag_for_Panama:``` | :flag_for_Panama: |
| ```:flag_for_Papua_New_Guinea:``` | :flag_for_Papua_New_Guinea: |
| ```:flag_for_Paraguay:``` | :flag_for_Paraguay: |
| ```:flag_for_Peru:``` | :flag_for_Peru: |
| ```:flag_for_Philippines:``` | :flag_for_Philippines: |
| ```:flag_for_Pitcairn_Islands:``` | :flag_for_Pitcairn_Islands: |
| ```:flag_for_Poland:``` | :flag_for_Poland: |
| ```:flag_for_Portugal:``` | :flag_for_Portugal: |
| ```:flag_for_Puerto_Rico:``` | :flag_for_Puerto_Rico: |
| ```:flag_for_Qatar:``` | :flag_for_Qatar: |
| ```:flag_for_Romania:``` | :flag_for_Romania: |
| ```:flag_for_Russia:``` | :flag_for_Russia: |
| ```:flag_for_Rwanda:``` | :flag_for_Rwanda: |
| ```:flag_for_Réunion:``` | :flag_for_Réunion: |
| ```:flag_for_Samoa:``` | :flag_for_Samoa: |
| ```:flag_for_San_Marino:``` | :flag_for_San_Marino: |
| ```:flag_for_Saudi_Arabia:``` | :flag_for_Saudi_Arabia: |
| ```:flag_for_Senegal:``` | :flag_for_Senegal: |
| ```:flag_for_Serbia:``` | :flag_for_Serbia: |
| ```:flag_for_Seychelles:``` | :flag_for_Seychelles: |
| ```:flag_for_Sierra_Leone:``` | :flag_for_Sierra_Leone: |
| ```:flag_for_Singapore:``` | :flag_for_Singapore: |
| ```:flag_for_Sint_Maarten:``` | :flag_for_Sint_Maarten: |
| ```:flag_for_Slovakia:``` | :flag_for_Slovakia: |
| ```:flag_for_Slovenia:``` | :flag_for_Slovenia: |
| ```:flag_for_Solomon_Islands:``` | :flag_for_Solomon_Islands: |
| ```:flag_for_Somalia:``` | :flag_for_Somalia: |
| ```:flag_for_South_Africa:``` | :flag_for_South_Africa: |
| ```:flag_for_South_Georgia_&_South_Sandwich_Islands:``` | :flag_for_South_Georgia_&_South_Sandwich_Islands: |
| ```:flag_for_South_Korea:``` | :flag_for_South_Korea: |
| ```:flag_for_South_Sudan:``` | :flag_for_South_Sudan: |
| ```:flag_for_Spain:``` | :flag_for_Spain: |
| ```:flag_for_Sri_Lanka:``` | :flag_for_Sri_Lanka: |
| ```:flag_for_St._Barthélem``` | ._Barthélem |
| ```:flag_for_St._Helen``` | ._Helen |
| ```:flag_for_St._Kitts_&_Nevis:``` | :flag_for_St._Kitts_&_Nevis: |
| ```:flag_for_St._Luci``` | ._Luci |
| ```:flag_for_St._Marti``` | ._Marti |
| ```:flag_for_St._Pierre_&_Miquelon:``` | :flag_for_St._Pierre_&_Miquelon: |
| ```:flag_for_St._Vincent_&_Grenadines:``` | :flag_for_St._Vincent_&_Grenadines: |
| ```:flag_for_Sudan:``` | :flag_for_Sudan: |
| ```:flag_for_Suriname:``` | :flag_for_Suriname: |
| ```:flag_for_Svalbard_&_Jan_Mayen:``` | :flag_for_Svalbard_&_Jan_Mayen: |
| ```:flag_for_Swaziland:``` | :flag_for_Swaziland: |
| ```:flag_for_Sweden:``` | :flag_for_Sweden: |
| ```:flag_for_Switzerland:``` | :flag_for_Switzerland: |
| ```:flag_for_Syria:``` | :flag_for_Syria: |
| ```:flag_for_São_Tomé_&_Príncipe:``` | :flag_for_São_Tomé_&_Príncipe: |
| ```:flag_for_Taiwan:``` | :flag_for_Taiwan: |
| ```:flag_for_Tajikistan:``` | :flag_for_Tajikistan: |
| ```:flag_for_Tanzania:``` | :flag_for_Tanzania: |
| ```:flag_for_Thailand:``` | :flag_for_Thailand: |
| ```:flag_for_Timor__Leste:``` | :flag_for_Timor__Leste: |
| ```:flag_for_Togo:``` | :flag_for_Togo: |
| ```:flag_for_Tokelau:``` | :flag_for_Tokelau: |
| ```:flag_for_Tonga:``` | :flag_for_Tonga: |
| ```:flag_for_Trinidad_&_Tobago:``` | :flag_for_Trinidad_&_Tobago: |
| ```:flag_for_Tristan_da_Cunha:``` | :flag_for_Tristan_da_Cunha: |
| ```:flag_for_Tunisia:``` | :flag_for_Tunisia: |
| ```:flag_for_Turkey:``` | :flag_for_Turkey: |
| ```:flag_for_Turkmenistan:``` | :flag_for_Turkmenistan: |
| ```:flag_for_Turks_&_Caicos_Islands:``` | :flag_for_Turks_&_Caicos_Islands: |
| ```:flag_for_Tuvalu:``` | :flag_for_Tuvalu: |
| ```:flag_for_U.``` | :flag_for_U. |
| ```:flag_for_U.``` | :flag_for_U. |
| ```:flag_for_Uganda:``` | :flag_for_Uganda: |
| ```:flag_for_Ukraine:``` | :flag_for_Ukraine: |
| ```:flag_for_United_Arab_Emirates:``` | :flag_for_United_Arab_Emirates: |
| ```:flag_for_United_Kingdom:``` | :flag_for_United_Kingdom: |
| ```:flag_for_United_States:``` | :flag_for_United_States: |
| ```:flag_for_Uruguay:``` | :flag_for_Uruguay: |
| ```:flag_for_Uzbekistan:``` | :flag_for_Uzbekistan: |
| ```:flag_for_Vanuatu:``` | :flag_for_Vanuatu: |
| ```:flag_for_Vatican_City:``` | :flag_for_Vatican_City: |
| ```:flag_for_Venezuela:``` | :flag_for_Venezuela: |
| ```:flag_for_Vietnam:``` | :flag_for_Vietnam: |
| ```:flag_for_Wallis_&_Futuna:``` | :flag_for_Wallis_&_Futuna: |
| ```:flag_for_Western_Sahara:``` | :flag_for_Western_Sahara: |
| ```:flag_for_Yemen:``` | :flag_for_Yemen: |
| ```:flag_for_Zambia:``` | :flag_for_Zambia: |
| ```:flag_for_Zimbabwe:``` | :flag_for_Zimbabwe: |
| ```:flag_for_Åland_Islands:``` | :flag_for_Åland_Islands: |
| ```:golf:``` | :golf: |
| ```:fleur__de__lis:``` | ⚜️ |
| ```:muscle:``` | :muscle: |
| ```:floppy_disk:``` | :floppy_disk: |
| ```:flower_playing_cards:``` | :flower_playing_cards: |
| ```:flushed:``` | :flushed: |
| ```:fog:``` | :fog: |
| ```:foggy:``` | :foggy: |
| ```:footprints:``` | :footprints: |
| ```:fork_and_knife:``` | :fork_and_knife: |
| ```:fork_and_knife_with_plate:``` | 🍽️ |
| ```:fountain:``` | :fountain: |
| ```:four_leaf_clover:``` | :four_leaf_clover: |
| ```:frame_with_picture:``` | 🖼️ |
| ```:fries:``` | :fries: |
| ```:fried_shrimp:``` | :fried_shrimp: |
| ```:frog:``` | :frog: |
| ```:hatched_chick:``` | :hatched_chick: |
| ```:frowning:``` | :frowning: |
| ```:fuelpump:``` | :fuelpump: |
| ```:full_moon:``` | :full_moon: |
| ```:full_moon_with_face:``` | :full_moon_with_face: |
| ```:funeral_urn:``` | :funeral_urn: |
| ```:game_die:``` | :game_die: |
| ```:gear:``` | :gear: |
| ```:gem:``` | :gem: |
| ```:gemini:``` | :gemini: |
| ```:ghost:``` | :ghost: |
| ```:girl:``` | :girl: |
| ```:globe_with_meridians:``` | :globe_with_meridians: |
| ```:star2:``` | :star2: |
| ```:goat:``` | :goat: |
| ```:golfer:``` | 🏌️ |
| ```:mortar_board:``` | :mortar_board: |
| ```:grapes:``` | :grapes: |
| ```:green_apple:``` | :green_apple: |
| ```:green_book:``` | :green_book: |
| ```:green_heart:``` | :green_heart: |
| ```:grimacing:``` | :grimacing: |
| ```:smile_cat:``` | :smile_cat: |
| ```:grinning:``` | :grinning: |
| ```:grin:``` | :grin: |
| ```:heartpulse:``` | :heartpulse: |
| ```:guardsman:``` | :guardsman: |
| ```:guitar:``` | :guitar: |
| ```:haircut:``` | :haircut: |
| ```:hamburger:``` | :hamburger: |
| ```:hammer:``` | :hammer: |
| ```:hammer_and_pick:``` | :hammer_and_pick: |
| ```:hammer_and_wrench:``` | :hammer_and_wrench: |
| ```:hamster:``` | :hamster: |
| ```:handbag:``` | :handbag: |
| ```:raising_hand:``` | :raising_hand: |
| ```:hatching_chick:``` | :hatching_chick: |
| ```:headphones:``` | :headphones: |
| ```:hear_no_evil:``` | :hear_no_evil: |
| ```:heart_decoration:``` | :heart_decoration: |
| ```:cupid:``` | :cupid: |
| ```:gift_heart:``` | :gift_heart: |
| ```:heart:``` | :heart: |
| ```:heavy_check_mark:``` | :heavy_check_mark: |
| ```:heavy_division_sign:``` | :heavy_division_sign: |
| ```:heavy_dollar_sign:``` | :heavy_dollar_sign: |
| ```:exclamation:``` | :exclamation: |
| ```:heavy_exclamation_mark:``` | :heavy_exclamation_mark: |
| ```:heavy_heart_exclamation_mark_ornament:``` | ❣️ |
| ```:o:``` | :o: |
| ```:heavy_minus_sign:``` | :heavy_minus_sign: |
| ```:heavy_multiplication_x:``` | :heavy_multiplication_x: |
| ```:heavy_plus_sign:``` | :heavy_plus_sign: |
| ```:helicopter:``` | :helicopter: |
| ```:helm_symbol:``` | ⎈ |
| ```:helmet_with_white_cross:``` | ⛑️ |
| ```:herb:``` | :herb: |
| ```:hibiscus:``` | :hibiscus: |
| ```:high_heel:``` | :high_heel: |
| ```:bullettrain_side:``` | :bullettrain_side: |
| ```:bullettrain_front:``` | :bullettrain_front: |
| ```:high_brightness:``` | :high_brightness: |
| ```:zap:``` | :zap: |
| ```:hocho:``` | :hocho: |
| ```:knife:``` | :knife: |
| ```:hole:``` | :hole: |
| ```:honey_pot:``` | :honey_pot: |
| ```:bee:``` | :bee: |
| ```:traffic_light:``` | :traffic_light: |
| ```:racehorse:``` | :racehorse: |
| ```:horse:``` | :horse: |
| ```:horse_racing:``` | :horse_racing: |
| ```:hospital:``` | :hospital: |
| ```:coffee:``` | :coffee: |
| ```:hot_dog:``` | 🌭 |
| ```:hot_pepper:``` | :hot_pepper: |
| ```:hotsprings:``` | :hotsprings: |
| ```:hotel:``` | :hotel: |
| ```:hourglass:``` | :hourglass: |
| ```:hourglass_flowing_sand:``` | :hourglass_flowing_sand: |
| ```:house:``` | :house: |
| ```:house_buildings:``` | 🏘️ |
| ```:house_with_garden:``` | :house_with_garden: |
| ```:hugging_face:``` | 🤗 |
| ```:100:``` | :100: |
| ```:hushed:``` | :hushed: |
| ```:ice_cream:``` | :ice_cream: |
| ```:ice_hockey_stick_and_puck:``` | 🏒 |
| ```:ice_skate:``` | :ice_skate: |
| ```:imp:``` | :imp: |
| ```:inbox_tray:``` | :inbox_tray: |
| ```:incoming_envelope:``` | :incoming_envelope: |
| ```:information_desk_person:``` | :information_desk_person: |
| ```:information_source:``` | :information_source: |
| ```:capital_abcd:``` | :capital_abcd: |
| ```:abc:``` | :abc: |
| ```:abcd:``` | :abcd: |
| ```:1234:``` | :1234: |
| ```:symbols:``` | :symbols: |
| ```:izakaya_lantern:``` | :izakaya_lantern: |
| ```:lantern:``` | :lantern: |
| ```:jack_o_lantern:``` | :jack_o_lantern: |
| ```:japanese_castle:``` | :japanese_castle: |
| ```:dolls:``` | :dolls: |
| ```:japanese_goblin:``` | :japanese_goblin: |
| ```:japanese_ogre:``` | :japanese_ogre: |
| ```:post_office:``` | :post_office: |
| ```:beginner:``` | :beginner: |
| ```:jeans:``` | :jeans: |
| ```:joystick:``` | :joystick: |
| ```:kaaba:``` | :kaaba: |
| ```:key:``` | :key: |
| ```:keyboard:``` | :keyboard: |
| ```:keycap_asterisk:``` | *️⃣ |
| ```:keycap_digit_eight:``` | 8️⃣ |
| ```:keycap_digit_five:``` | 5️⃣ |
| ```:keycap_digit_four:``` | 4️⃣ |
| ```:keycap_digit_nine:``` | 9️⃣ |
| ```:keycap_digit_one:``` | 1️⃣ |
| ```:keycap_digit_seven:``` | 7️⃣ |
| ```:keycap_digit_six:``` | 6️⃣ |
| ```:keycap_digit_three:``` | 3️⃣ |
| ```:keycap_digit_two:``` | 2️⃣ |
| ```:keycap_digit_zero:``` | 0️⃣ |
| ```:keycap_number_sign:``` | #️⃣ |
| ```:keycap_ten:``` | :keycap_ten: |
| ```:kimono:``` | :kimono: |
| ```:couplekiss:``` | 💏 |
| ```:kiss:``` | :kiss: |
| ```:kissing_cat:``` | :kissing_cat: |
| ```:kissing:``` | :kissing: |
| ```:kissing_closed_eyes:``` | :kissing_closed_eyes: |
| ```:kissing_smiling_eyes:``` | :kissing_smiling_eyes: |
| ```:koala:``` | :koala: |
| ```:label:``` | :label: |
| ```:beetle:``` | :beetle: |
| ```:large_blue_circle:``` | :large_blue_circle: |
| ```:large_blue_diamond:``` | :large_blue_diamond: |
| ```:large_orange_diamond:``` | :large_orange_diamond: |
| ```:red_circle:``` | :red_circle: |
| ```:last_quarter_moon:``` | :last_quarter_moon: |
| ```:last_quarter_moon_with_face:``` | :last_quarter_moon_with_face: |
| ```:latin_cross:``` | :latin_cross: |
| ```:leaves:``` | :leaves: |
| ```:ledger:``` | :ledger: |
| ```:mag:``` | :mag: |
| ```:left_luggage:``` | :left_luggage: |
| ```:left_right_arrow:``` | :left_right_arrow: |
| ```:leftwards_arrow_with_hook:``` | :leftwards_arrow_with_hook: |
| ```:arrow_left:``` | :arrow_left: |
| ```:lemon:``` | :lemon: |
| ```:leo:``` | :leo: |
| ```:leopard:``` | :leopard: |
| ```:level_slider:``` | :level_slider: |
| ```:libra:``` | :libra: |
| ```:light_rail:``` | :light_rail: |
| ```:link:``` | :link: |
| ```:linked_paperclips:``` | 🖇️ |
| ```:lion_face:``` | 🦁 |
| ```:lipstick:``` | :lipstick: |
| ```:lock:``` | :lock: |
| ```:lock_with_ink_pen:``` | :lock_with_ink_pen: |
| ```:lollipop:``` | :lollipop: |
| ```:sob:``` | :sob: |
| ```:love_hotel:``` | :love_hotel: |
| ```:love_letter:``` | :love_letter: |
| ```:low_brightness:``` | :low_brightness: |
| ```:lower_left_ballpoint_pen:``` | 🖊️ |
| ```:lower_left_crayon:``` | 🖍️ |
| ```:lower_left_fountain_pen:``` | 🖋️ |
| ```:lower_left_paintbrush:``` | 🖌️ |
| ```:mahjong:``` | :mahjong: |
| ```:man:``` | :man: |
| ```:couple:``` | :couple: |
| ```:man_in_business_suit_levitating:``` | 🕴️ |
| ```:man_with_gua_pi_mao:``` | :man_with_gua_pi_mao: |
| ```:man_with_turban:``` | :man_with_turban: |
| ```:mans_shoe:``` | :mans_shoe: |
| ```:shoe:``` | :shoe: |
| ```:mantelpiece_clock:``` | :mantelpiece_clock: |
| ```:maple_leaf:``` | :maple_leaf: |
| ```:meat_on_bone:``` | :meat_on_bone: |
| ```:black_circle:``` | :black_circle: |
| ```:white_circle:``` | :white_circle: |
| ```:melon:``` | :melon: |
| ```:memo:``` | :memo: |
| ```:pencil:``` | :pencil: |
| ```:menorah_with_nine_branches:``` | 🕎 |
| ```:mens:``` | :mens: |
| ```:metro:``` | :metro: |
| ```:microphone:``` | :microphone: |
| ```:microscope:``` | :microscope: |
| ```:military_medal:``` | 🎖️ |
| ```:milky_way:``` | :milky_way: |
| ```:minibus:``` | :minibus: |
| ```:minidisc:``` | :minidisc: |
| ```:iphone:``` | :iphone: |
| ```:mobile_phone_off:``` | :mobile_phone_off: |
| ```:calling:``` | :calling: |
| ```:money__mouth_face:``` | 🤑 |
| ```:moneybag:``` | :moneybag: |
| ```:money_with_wings:``` | :money_with_wings: |
| ```:monkey:``` | :monkey: |
| ```:monkey_face:``` | :monkey_face: |
| ```:monorail:``` | :monorail: |
| ```:rice_scene:``` | :rice_scene: |
| ```:mosque:``` | :mosque: |
| ```:motor_boat:``` | :motor_boat: |
| ```:motorway:``` | :motorway: |
| ```:mount_fuji:``` | :mount_fuji: |
| ```:mountain:``` | :mountain: |
| ```:mountain_bicyclist:``` | :mountain_bicyclist: |
| ```:mountain_cableway:``` | :mountain_cableway: |
| ```:mountain_railway:``` | :mountain_railway: |
| ```:mouse2:``` | :mouse2: |
| ```:mouse:``` | :mouse: |
| ```:lips:``` | :lips: |
| ```:movie_camera:``` | :movie_camera: |
| ```:moyai:``` | :moyai: |
| ```:notes:``` | :notes: |
| ```:mushroom:``` | :mushroom: |
| ```:musical_keyboard:``` | :musical_keyboard: |
| ```:musical_note:``` | :musical_note: |
| ```:musical_score:``` | :musical_score: |
| ```:nail_care:``` | :nail_care: |
| ```:name_badge:``` | :name_badge: |
| ```:national_park:``` | :national_park: |
| ```:necktie:``` | :necktie: |
| ```:ab:``` | :ab: |
| ```:negative_squared_cross_mark:``` | :negative_squared_cross_mark: |
| ```:a:``` | :a: |
| ```:b:``` | :b: |
| ```:o2:``` | :o2: |
| ```:parking:``` | :parking: |
| ```:nerd_face:``` | :nerd_face: |
| ```:neutral_face:``` | :neutral_face: |
| ```:new_moon:``` | :new_moon: |
| ```:honeybee:``` | :honeybee: |
| ```:new_moon_with_face:``` | :new_moon_with_face: |
| ```:newspaper:``` | :newspaper: |
| ```:night_with_stars:``` | :night_with_stars: |
| ```:no_bicycles:``` | :no_bicycles: |
| ```:no_entry:``` | :no_entry: |
| ```:no_entry_sign:``` | :no_entry_sign: |
| ```:no_mobile_phones:``` | :no_mobile_phones: |
| ```:underage:``` | :underage: |
| ```:no_pedestrians:``` | :no_pedestrians: |
| ```:no_smoking:``` | :no_smoking: |
| ```:non__potable_water:``` | 🚱 |
| ```:arrow_upper_right:``` | :arrow_upper_right: |
| ```:arrow_upper_left:``` | :arrow_upper_left: |
| ```:nose:``` | :nose: |
| ```:notebook:``` | :notebook: |
| ```:notebook_with_decorative_cover:``` | :notebook_with_decorative_cover: |
| ```:nut_and_bolt:``` | :nut_and_bolt: |
| ```:octopus:``` | :octopus: |
| ```:oden:``` | :oden: |
| ```:office:``` | :office: |
| ```:oil_drum:``` | :oil_drum: |
| ```:ok_hand:``` | :ok_hand: |
| ```:old_key:``` | :old_key: |
| ```:older_man:``` | :older_man: |
| ```:older_woman:``` | :older_woman: |
| ```:om_symbol:``` | 🕉️ |
| ```:on:``` | :on: |
| ```:oncoming_automobile:``` | :oncoming_automobile: |
| ```:oncoming_bus:``` | :oncoming_bus: |
| ```:oncoming_police_car:``` | :oncoming_police_car: |
| ```:oncoming_taxi:``` | :oncoming_taxi: |
| ```:book:``` | :book: |
| ```:open_book:``` | :open_book: |
| ```:open_file_folder:``` | :open_file_folder: |
| ```:open_hands:``` | :open_hands: |
| ```:unlock:``` | :unlock: |
| ```:mailbox_with_no_mail:``` | :mailbox_with_no_mail: |
| ```:mailbox_with_mail:``` | :mailbox_with_mail: |
| ```:ophiuchus:``` | :ophiuchus: |
| ```:cd:``` | :cd: |
| ```:orange_book:``` | :orange_book: |
| ```:orthodox_cross:``` | :orthodox_cross: |
| ```:outbox_tray:``` | :outbox_tray: |
| ```:ox:``` | :ox: |
| ```:package:``` | :package: |
| ```:page_facing_up:``` | :page_facing_up: |
| ```:page_with_curl:``` | :page_with_curl: |
| ```:pager:``` | :pager: |
| ```:palm_tree:``` | :palm_tree: |
| ```:panda_face:``` | :panda_face: |
| ```:paperclip:``` | :paperclip: |
| ```:part_alternation_mark:``` | :part_alternation_mark: |
| ```:tada:``` | :tada: |
| ```:passenger_ship:``` | :passenger_ship: |
| ```:passport_control:``` | :passport_control: |
| ```:feet:``` | :feet: |
| ```:paw_prints:``` | :paw_prints: |
| ```:peace_symbol:``` | :peace_symbol: |
| ```:peach:``` | :peach: |
| ```:pear:``` | :pear: |
| ```:walking:``` | :walking: |
| ```:pencil2:``` | :pencil2: |
| ```:penguin:``` | :penguin: |
| ```:pensive:``` | :pensive: |
| ```:performing_arts:``` | :performing_arts: |
| ```:persevere:``` | :persevere: |
| ```:bow:``` | :bow: |
| ```:person_frowning:``` | :person_frowning: |
| ```:raised_hands:``` | :raised_hands: |
| ```:person_with_ball:``` | ⛹️ |
| ```:person_with_blond_hair:``` | :person_with_blond_hair: |
| ```:pray:``` | :pray: |
| ```:person_with_pouting_face:``` | :person_with_pouting_face: |
| ```:computer:``` | :computer: |
| ```:pick:``` | :pick: |
| ```:pig2:``` | :pig2: |
| ```:pig:``` | :pig: |
| ```:pig_nose:``` | :pig_nose: |
| ```:hankey:``` | :hankey: |
| ```:poop:``` | :poop: |
| ```:shit:``` | :shit: |
| ```:pill:``` | :pill: |
| ```:bamboo:``` | :bamboo: |
| ```:pineapple:``` | :pineapple: |
| ```:pisces:``` | :pisces: |
| ```:gun:``` | :gun: |
| ```:place_of_worship:``` | :place_of_worship: |
| ```:black_joker:``` | :black_joker: |
| ```:police_car:``` | :police_car: |
| ```:rotating_light:``` | :rotating_light: |
| ```:cop:``` | :cop: |
| ```:poodle:``` | :poodle: |
| ```:popcorn:``` | :popcorn: |
| ```:postal_horn:``` | :postal_horn: |
| ```:postbox:``` | :postbox: |
| ```:stew:``` | :stew: |
| ```:potable_water:``` | :potable_water: |
| ```:pouch:``` | :pouch: |
| ```:poultry_leg:``` | :poultry_leg: |
| ```:pouting_cat:``` | :pouting_cat: |
| ```:rage:``` | :rage: |
| ```:prayer_beads:``` | :prayer_beads: |
| ```:princess:``` | :princess: |
| ```:printer:``` | :printer: |
| ```:loudspeaker:``` | :loudspeaker: |
| ```:purple_heart:``` | :purple_heart: |
| ```:purse:``` | :purse: |
| ```:pushpin:``` | :pushpin: |
| ```:put_litter_in_its_place:``` | :put_litter_in_its_place: |
| ```:rabbit2:``` | :rabbit2: |
| ```:rabbit:``` | :rabbit: |
| ```:racing_car:``` | :racing_car: |
| ```:racing_motorcycle:``` | 🏍️ |
| ```:radio:``` | :radio: |
| ```:radio_button:``` | :radio_button: |
| ```:radioactive_sign:``` | ☢️ |
| ```:railway_car:``` | :railway_car: |
| ```:railway_track:``` | :railway_track: |
| ```:rainbow:``` | :rainbow: |
| ```:fist:``` | :fist: |
| ```:hand:``` | :hand: |
| ```:raised_hand:``` | :raised_hand: |
| ```:raised_hand_with_fingers_splayed:``` | :raised_hand_with_fingers_splayed: |
| ```:raised_hand_with_part_between_middle_and_ring_fingers:``` | 🖖 |
| ```:ram:``` | :ram: |
| ```:rat:``` | :rat: |
| ```:blue_car:``` | :blue_car: |
| ```:apple:``` | :apple: |
| ```:registered:``` | :registered: |
| ```:relieved:``` | :relieved: |
| ```:reminder_ribbon:``` | :reminder_ribbon: |
| ```:restroom:``` | :restroom: |
| ```:reversed_hand_with_middle_finger_extended:``` | 🖕 |
| ```:revolving_hearts:``` | :revolving_hearts: |
| ```:ribbon:``` | :ribbon: |
| ```:rice_ball:``` | :rice_ball: |
| ```:rice_cracker:``` | :rice_cracker: |
| ```:mag_right:``` | :mag_right: |
| ```:right_anger_bubble:``` | :right_anger_bubble: |
| ```:arrow_right_hook:``` | :arrow_right_hook: |
| ```:ring:``` | :ring: |
| ```:sweet_potato:``` | :sweet_potato: |
| ```:robot_face:``` | 🤖 |
| ```:rocket:``` | :rocket: |
| ```:rolled__up_newspaper:``` | 🗞️ |
| ```:roller_coaster:``` | :roller_coaster: |
| ```:rooster:``` | :rooster: |
| ```:rose:``` | :rose: |
| ```:rosette:``` | :rosette: |
| ```:round_pushpin:``` | :round_pushpin: |
| ```:rowboat:``` | :rowboat: |
| ```:rugby_football:``` | :rugby_football: |
| ```:runner:``` | :runner: |
| ```:running:``` | :running: |
| ```:running_shirt_with_sash:``` | :running_shirt_with_sash: |
| ```:sagittarius:``` | :sagittarius: |
| ```:boat:``` | :boat: |
| ```:sailboat:``` | :sailboat: |
| ```:sake:``` | :sake: |
| ```:satellite:``` | :satellite: |
| ```:saxophone:``` | :saxophone: |
| ```:scales:``` | ⚖️ |
| ```:school:``` | :school: |
| ```:school_satchel:``` | :school_satchel: |
| ```:scorpion:``` | :scorpion: |
| ```:scorpius:``` | :scorpius: |
| ```:scroll:``` | :scroll: |
| ```:seat:``` | :seat: |
| ```:see_no_evil:``` | :see_no_evil: |
| ```:seedling:``` | :seedling: |
| ```:shamrock:``` | :shamrock: |
| ```:shaved_ice:``` | :shaved_ice: |
| ```:sheep:``` | :sheep: |
| ```:shield:``` | :shield: |
| ```:shinto_shrine:``` | :shinto_shrine: |
| ```:ship:``` | :ship: |
| ```:stars:``` | :stars: |
| ```:shopping_bags:``` | 🛍️ |
| ```:cake:``` | :cake: |
| ```:shower:``` | :shower: |
| ```:sign_of_the_horns:``` | 🤘 |
| ```:japan:``` | :japan: |
| ```:six_pointed_star:``` | :six_pointed_star: |
| ```:ski:``` | :ski: |
| ```:skier:``` | :skier: |
| ```:skull:``` | :skull: |
| ```:skull_and_crossbones:``` | :skull_and_crossbones: |
| ```:sleeping_accommodation:``` | 🛌 |
| ```:sleeping:``` | :sleeping: |
| ```:zzz:``` | :zzz: |
| ```:sleepy:``` | :sleepy: |
| ```:sleuth_or_spy:``` | 🕵️ |
| ```:pizza:``` | :pizza: |
| ```:slightly_frowning_face:``` | :slightly_frowning_face: |
| ```:slightly_smiling_face:``` | :slightly_smiling_face: |
| ```:slot_machine:``` | :slot_machine: |
| ```:small_airplane:``` | :small_airplane: |
| ```:small_blue_diamond:``` | :small_blue_diamond: |
| ```:small_orange_diamond:``` | :small_orange_diamond: |
| ```:heart_eyes_cat:``` | :heart_eyes_cat: |
| ```:smiley_cat:``` | :smiley_cat: |
| ```:innocent:``` | :innocent: |
| ```:heart_eyes:``` | :heart_eyes: |
| ```:smiling_imp:``` | :smiling_imp: |
| ```:smiley:``` | :smiley: |
| ```:sweat_smile:``` | :sweat_smile: |
| ```:smile:``` | :smile: |
| ```:laughing:``` | :laughing: |
| ```:satisfied:``` | :satisfied: |
| ```:blush:``` | :blush: |
| ```:sunglasses:``` | :sunglasses: |
| ```:smirk:``` | :smirk: |
| ```:smoking:``` | :smoking: |
| ```:snail:``` | :snail: |
| ```:snake:``` | :snake: |
| ```:snow_capped_mountain:``` | 🏔️ |
| ```:snowboarder:``` | :snowboarder: |
| ```:snowflake:``` | :snowflake: |
| ```:snowman:``` | :snowman: |
| ```:soccer:``` | :soccer: |
| ```:icecream:``` | :icecream: |
| ```:soon:``` | :soon: |
| ```:arrow_lower_right:``` | :arrow_lower_right: |
| ```:arrow_lower_left:``` | :arrow_lower_left: |
| ```:spaghetti:``` | :spaghetti: |
| ```:sparkle:``` | :sparkle: |
| ```:sparkles:``` | :sparkles: |
| ```:sparkling_heart:``` | :sparkling_heart: |
| ```:speak_no_evil:``` | :speak_no_evil: |
| ```:speaker:``` | :speaker: |
| ```:mute:``` | :mute: |
| ```:sound:``` | :sound: |
| ```:loud_sound:``` | :loud_sound: |
| ```:speaking_head_in_silhouette:``` | 🗣️ |
| ```:speech_balloon:``` | :speech_balloon: |
| ```:speedboat:``` | :speedboat: |
| ```:spider:``` | :spider: |
| ```:spider_web:``` | :spider_web: |
| ```:spiral_calendar_pad:``` | 🗓️ |
| ```:spiral_note_pad:``` | 🗒️ |
| ```:shell:``` | :shell: |
| ```:sweat_drops:``` | :sweat_drops: |
| ```:sports_medal:``` | 🏅 |
| ```:whale:``` | :whale: |
| ```:u5272:``` | :u5272: |
| ```:u5408:``` | :u5408: |
| ```:u55b6:``` | :u55b6: |
| ```:u6307:``` | :u6307: |
| ```:u6708:``` | :u6708: |
| ```:u6709:``` | :u6709: |
| ```:u6e80:``` | :u6e80: |
| ```:u7121:``` | :u7121: |
| ```:u7533:``` | :u7533: |
| ```:u7981:``` | :u7981: |
| ```:u7a7a:``` | :u7a7a: |
| ```:cl:``` | :cl: |
| ```:cool:``` | :cool: |
| ```:free:``` | :free: |
| ```:id:``` | :id: |
| ```:koko:``` | :koko: |
| ```:sa:``` | :sa: |
| ```:new:``` | :new: |
| ```:ng:``` | :ng: |
| ```:ok:``` | :ok: |
| ```:sos:``` | :sos: |
| ```:up:``` | :up: |
| ```:vs:``` | :vs: |
| ```:stadium:``` | :stadium: |
| ```:star_and_crescent:``` | :star_and_crescent: |
| ```:star_of_david:``` | :star_of_david: |
| ```:station:``` | :station: |
| ```:statue_of_liberty:``` | :statue_of_liberty: |
| ```:steam_locomotive:``` | :steam_locomotive: |
| ```:ramen:``` | :ramen: |
| ```:stopwatch:``` | :stopwatch: |
| ```:straight_ruler:``` | :straight_ruler: |
| ```:strawberry:``` | :strawberry: |
| ```:studio_microphone:``` | :studio_microphone: |
| ```:partly_sunny:``` | :partly_sunny: |
| ```:sun_with_face:``` | :sun_with_face: |
| ```:sunflower:``` | :sunflower: |
| ```:sunrise:``` | :sunrise: |
| ```:sunrise_over_mountains:``` | :sunrise_over_mountains: |
| ```:city_sunrise:``` | :city_sunrise: |
| ```:surfer:``` | :surfer: |
| ```:sushi:``` | :sushi: |
| ```:suspension_railway:``` | :suspension_railway: |
| ```:swimmer:``` | :swimmer: |
| ```:synagogue:``` | :synagogue: |
| ```:syringe:``` | :syringe: |
| ```:shirt:``` | :shirt: |
| ```:tshirt:``` | :tshirt: |
| ```:table_tennis_paddle_and_ball:``` | 🏓 |
| ```:taco:``` | :taco: |
| ```:tanabata_tree:``` | :tanabata_tree: |
| ```:tangerine:``` | :tangerine: |
| ```:taurus:``` | :taurus: |
| ```:taxi:``` | :taxi: |
| ```:tea:``` | :tea: |
| ```:calendar:``` | :calendar: |
| ```:telephone_receiver:``` | :telephone_receiver: |
| ```:telescope:``` | :telescope: |
| ```:tv:``` | :tv: |
| ```:tennis:``` | :tennis: |
| ```:tent:``` | :tent: |
| ```:thermometer:``` | :thermometer: |
| ```:thinking_face:``` | 🤔 |
| ```:thought_balloon:``` | :thought_balloon: |
| ```:three_button_mouse:``` | 🖱️ |
| ```:+1:``` | :+1: |
| ```:thumbsup:``` | :thumbsup: |
| ```:__1:``` | 👎 |
| ```:-1:``` | :-1: |
| ```:thumbsdown:``` | :thumbsdown: |
| ```:thunder_cloud_and_rain:``` | ⛈️ |
| ```:ticket:``` | :ticket: |
| ```:tiger2:``` | :tiger2: |
| ```:tiger:``` | :tiger: |
| ```:timer_clock:``` | :timer_clock: |
| ```:tired_face:``` | :tired_face: |
| ```:toilet:``` | :toilet: |
| ```:tokyo_tower:``` | :tokyo_tower: |
| ```:tomato:``` | :tomato: |
| ```:tongue:``` | :tongue: |
| ```:tophat:``` | :tophat: |
| ```:top:``` | :top: |
| ```:trackball:``` | :trackball: |
| ```:tractor:``` | :tractor: |
| ```:tm:``` | :tm: |
| ```:train2:``` | :train2: |
| ```:tram:``` | :tram: |
| ```:train:``` | :train: |
| ```:triangular_flag_on_post:``` | :triangular_flag_on_post: |
| ```:triangular_ruler:``` | :triangular_ruler: |
| ```:trident:``` | :trident: |
| ```:trolleybus:``` | :trolleybus: |
| ```:trophy:``` | :trophy: |
| ```:tropical_drink:``` | :tropical_drink: |
| ```:tropical_fish:``` | :tropical_fish: |
| ```:trumpet:``` | :trumpet: |
| ```:tulip:``` | :tulip: |
| ```:turkey:``` | :turkey: |
| ```:turtle:``` | :turtle: |
| ```:twisted_rightwards_arrows:``` | :twisted_rightwards_arrows: |
| ```:two_hearts:``` | :two_hearts: |
| ```:two_men_holding_hands:``` | :two_men_holding_hands: |
| ```:two_women_holding_hands:``` | :two_women_holding_hands: |
| ```:umbrella:``` | :umbrella: |
| ```:umbrella_on_ground:``` | ⛱️ |
| ```:unamused:``` | :unamused: |
| ```:unicorn_face:``` | 🦄 |
| ```:small_red_triangle:``` | :small_red_triangle: |
| ```:arrow_up_small:``` | :arrow_up_small: |
| ```:arrow_up_down:``` | :arrow_up_down: |
| ```:upside__down_face:``` | 🙃 |
| ```:arrow_up:``` | :arrow_up: |
| ```:vertical_traffic_light:``` | :vertical_traffic_light: |
| ```:vibration_mode:``` | :vibration_mode: |
| ```:v:``` | :v: |
| ```:video_camera:``` | :video_camera: |
| ```:video_game:``` | :video_game: |
| ```:vhs:``` | :vhs: |
| ```:violin:``` | :violin: |
| ```:virgo:``` | :virgo: |
| ```:volcano:``` | :volcano: |
| ```:volleyball:``` | :volleyball: |
| ```:waning_crescent_moon:``` | :waning_crescent_moon: |
| ```:waning_gibbous_moon:``` | :waning_gibbous_moon: |
| ```:warning:``` | :warning: |
| ```:wastebasket:``` | :wastebasket: |
| ```:watch:``` | :watch: |
| ```:water_buffalo:``` | :water_buffalo: |
| ```:wc:``` | :wc: |
| ```:ocean:``` | :ocean: |
| ```:watermelon:``` | :watermelon: |
| ```:waving_black_flag:``` | 🏴 |
| ```:wave:``` | :wave: |
| ```:waving_white_flag:``` | 🏳️ |
| ```:wavy_dash:``` | :wavy_dash: |
| ```:waxing_crescent_moon:``` | :waxing_crescent_moon: |
| ```:moon:``` | :moon: |
| ```:waxing_gibbous_moon:``` | :waxing_gibbous_moon: |
| ```:scream_cat:``` | :scream_cat: |
| ```:weary:``` | :weary: |
| ```:wedding:``` | :wedding: |
| ```:weight_lifter:``` | 🏋️ |
| ```:whale2:``` | :whale2: |
| ```:wheel_of_dharma:``` | :wheel_of_dharma: |
| ```:wheelchair:``` | :wheelchair: |
| ```:point_down:``` | :point_down: |
| ```:grey_exclamation:``` | :grey_exclamation: |
| ```:white_flower:``` | :white_flower: |
| ```:white_frowning_face:``` | ☹️ |
| ```:white_check_mark:``` | :white_check_mark: |
| ```:white_large_square:``` | :white_large_square: |
| ```:point_left:``` | :point_left: |
| ```:white_medium_small_square:``` | :white_medium_small_square: |
| ```:white_medium_square:``` | :white_medium_square: |
| ```:star:``` | :star: |
| ```:grey_question:``` | :grey_question: |
| ```:point_right:``` | :point_right: |
| ```:white_small_square:``` | :white_small_square: |
| ```:relaxed:``` | :relaxed: |
| ```:white_square_button:``` | :white_square_button: |
| ```:white_sun_behind_cloud:``` | 🌥️ |
| ```:white_sun_behind_cloud_with_rain:``` | 🌦️ |
| ```:white_sun_with_small_cloud:``` | 🌤 |
| ```:point_up_2:``` | :point_up_2: |
| ```:point_up:``` | :point_up: |
| ```:wind_blowing_face:``` | 🌬 |
| ```:wind_chime:``` | :wind_chime: |
| ```:wine_glass:``` | :wine_glass: |
| ```:wink:``` | :wink: |
| ```:wolf:``` | :wolf: |
| ```:woman:``` | :woman: |
| ```:dancers:``` | :dancers: |
| ```:boot:``` | :boot: |
| ```:womans_clothes:``` | :womans_clothes: |
| ```:womans_hat:``` | :womans_hat: |
| ```:sandal:``` | :sandal: |
| ```:womens:``` | :womens: |
| ```:world_map:``` | :world_map: |
| ```:worried:``` | :worried: |
| ```:gift:``` | :gift: |
| ```:wrench:``` | :wrench: |
| ```:writing_hand:``` | :writing_hand: |
| ```:yellow_heart:``` | :yellow_heart: |
| ```:yin_yang:``` | :yin_yang: |
| ```:zipper__mouth_face:``` | 🤐 |

