#include <map>

namespace emojicpp {

    static std::map<std::string, std::string> EMOJIS = {
        {":admission_tickets:" , "\U0001F39F"},
        {":aerial_tramway:" , "\U0001F6A1"},
        {":airplane:" , "\U00002708"},
        {":airplane_arriving:" , "\U0001F6EC"},
        {":airplane_departure:" , "\U0001F6EB"},
        {":alarm_clock:" , "\U000023F0"},
        {":alembic:" , "\U00002697"},
        {":space_invader:" , "\U0001F47E"},
        {":ambulance:" , "\U0001F691"},
        {":football:" , "\U0001F3C8"},
        {":amphora:" , "\U0001F3FA"},
        {":anchor:" , "\U00002693"},
        {":anger:" , "\U0001F4A2"},
        {":angry:" , "\U0001F620"},
        {":anguished:" , "\U0001F627"},
        {":ant:" , "\U0001F41C"},
        {":signal_strength:" , "\U0001F4F6"},
        {":arrows_counterclockwise:" , "\U0001F504"},
        {":aquarius:" , "\U00002652"},
        {":aries:" , "\U00002648"},
        {":arrow_heading_down:" , "\U00002935"},
        {":arrow_heading_up:" , "\U00002934"},
        {":articulated_lorry:" , "\U0001F69B"},
        {":art:" , "\U0001F3A8"},
        {":astonished:" , "\U0001F632"},
        {":athletic_shoe:" , "\U0001F45F"},
        {":atom_symbol:" , "\U0000269B"},
        {":eggplant:" , "\U0001F346"},
        {":atm:" , "\U0001F3E7"},
        {":car:" , "\U0001F697"},
        {":red_car:" , "\U0001F697"},
        {":baby:" , "\U0001F476"},
        {":angel:" , "\U0001F47C"},
        {":baby_bottle:" , "\U0001F37C"},
        {":baby_chick:" , "\U0001F424"},
        {":baby_symbol:" , "\U0001F6BC"},
        {":back:" , "\U0001F519"},
        {":camel:" , "\U0001F42B"},
        {":badminton_racquet_and_shuttlecock:" , "\U0001F3F8"},
        {":baggage_claim:" , "\U0001F6C4"},
        {":balloon:" , "\U0001F388"},
        {":ballot_box_with_ballot:" , "\U0001F5F3"},
        {":ballot_box_with_check:" , "\U00002611"},
        {":banana:" , "\U0001F34C"},
        {":bank:" , "\U0001F3E6"},
        {":dollar:" , "\U0001F4B5"},
        {":euro:" , "\U0001F4B6"},
        {":pound:" , "\U0001F4B7"},
        {":yen:" , "\U0001F4B4"},
        {":bar_chart:" , "\U0001F4CA"},
        {":barber:" , "\U0001F488"},
        {":baseball:" , "\U000026BE"},
        {":basketball:" , "\U0001F3C0"},
        {":bath:" , "\U0001F6C0"},
        {":bathtub:" , "\U0001F6C1"},
        {":battery:" , "\U0001F50B"},
        {":beach_with_umbrella:" , "\U0001F3D6"},
        {":bear:" , "\U0001F43B"},
        {":heartbeat:" , "\U0001F493"},
        {":bed:" , "\U0001F6CF"},
        {":beer:" , "\U0001F37A"},
        {":bell:" , "\U0001F514"},
        {":no_bell:" , "\U0001F515"},
        {":bellhop_bell:" , "\U0001F6CE"},
        {":bento:" , "\U0001F371"},
        {":bike:" , "\U0001F6B2"},
        {":bicyclist:" , "\U0001F6B4"},
        {":bikini:" , "\U0001F459"},
        {":8ball:" , "\U0001F3B1"},
        {":biohazard_sign:" , "\U00002623"},
        {":bird:" , "\U0001F426"},
        {":birthday:" , "\U0001F382"},
        {":black_circle_for_record:" , "\U000023FA"},
        {":clubs:" , "\U00002663"},
        {":diamonds:" , "\U00002666"},
        {":arrow_double_down:" , "\U000023EC"},
        {":hearts:" , "\U00002665"},
        {":black_large_square:" , "\U00002B1B"},
        {":rewind:" , "\U000023EA"},
        {":black_left__pointing_double_triangle_with_vertical_bar:" , "\U000023EE"},
        {":arrow_backward:" , "\U000025C0"},
        {":black_medium_small_square:" , "\U000025FE"},
        {":black_medium_square:" , "\U000025FC"},
        {":black_nib:" , "\U00002712"},
        {":question:" , "\U00002753"},
        {":fast_forward:" , "\U000023E9"},
        {":black_right__pointing_double_triangle_with_vertical_bar:" , "\U000023ED"},
        {":arrow_forward:" , "\U000025B6"},
        {":black_right__pointing_triangle_with_double_vertical_bar:" , "\U000023EF"},
        {":arrow_right:" , "\U000027A1"},
        {":scissors:" , "\U00002702"},
        {":black_small_square:" , "\U000025AA"},
        {":spades:" , "\U00002660"},
        {":black_square_button:" , "\U0001F532"},
        {":black_square_for_stop:" , "\U000023F9"},
        {":sunny:" , "\U00002600"},
        {":phone:" , "\U0000260E"},
        {":telephone:" , "\U0000260E"},
        {":recycle:" , "\U0000267B"},
        {":arrow_double_up:" , "\U000023EB"},
        {":blossom:" , "\U0001F33C"},
        {":blowfish:" , "\U0001F421"},
        {":blue_book:" , "\U0001F4D8"},
        {":blue_heart:" , "\U0001F499"},
        {":boar:" , "\U0001F417"},
        {":bomb:" , "\U0001F4A3"},
        {":bookmark:" , "\U0001F516"},
        {":bookmark_tabs:" , "\U0001F4D1"},
        {":books:" , "\U0001F4DA"},
        {":bottle_with_popping_cork:" , "\U0001F37E"},
        {":bouquet:" , "\U0001F490"},
        {":bow_and_arrow:" , "\U0001F3F9"},
        {":bowling:" , "\U0001F3B3"},
        {":boy:" , "\U0001F466"},
        {":bread:" , "\U0001F35E"},
        {":bride_with_veil:" , "\U0001F470"},
        {":bridge_at_night:" , "\U0001F309"},
        {":briefcase:" , "\U0001F4BC"},
        {":broken_heart:" , "\U0001F494"},
        {":bug:" , "\U0001F41B"},
        {":building_construction:" , "\U0001F3D7"},
        {":burrito:" , "\U0001F32F"},
        {":bus:" , "\U0001F68C"},
        {":busstop:" , "\U0001F68F"},
        {":bust_in_silhouette:" , "\U0001F464"},
        {":busts_in_silhouette:" , "\U0001F465"},
        {":cactus:" , "\U0001F335"},
        {":date:" , "\U0001F4C5"},
        {":camera:" , "\U0001F4F7"},
        {":camera_with_flash:" , "\U0001F4F8"},
        {":camping:" , "\U0001F3D5"},
        {":cancer:" , "\U0000264B"},
        {":candle:" , "\U0001F56F"},
        {":candy:" , "\U0001F36C"},
        {":capricorn:" , "\U00002651"},
        {":card_file_box:" , "\U0001F5C3"},
        {":card_index:" , "\U0001F4C7"},
        {":card_index_dividers:" , "\U0001F5C2"},
        {":carousel_horse:" , "\U0001F3A0"},
        {":flags:" , "\U0001F38F"},
        {":cat2:" , "\U0001F408"},
        {":cat:" , "\U0001F431"},
        {":joy_cat:" , "\U0001F639"},
        {":smirk_cat:" , "\U0001F63C"},
        {":chains:" , "\U000026D3"},
        {":chart_with_downwards_trend:" , "\U0001F4C9"},
        {":chart_with_upwards_trend:" , "\U0001F4C8"},
        {":chart:" , "\U0001F4B9"},
        {":mega:" , "\U0001F4E3"},
        {":cheese_wedge:" , "\U0001F9C0"},
        {":checkered_flag:" , "\U0001F3C1"},
        {":cherries:" , "\U0001F352"},
        {":cherry_blossom:" , "\U0001F338"},
        {":chestnut:" , "\U0001F330"},
        {":chicken:" , "\U0001F414"},
        {":children_crossing:" , "\U0001F6B8"},
        {":chipmunk:" , "\U0001F43F"},
        {":chocolate_bar:" , "\U0001F36B"},
        {":christmas_tree:" , "\U0001F384"},
        {":church:" , "\U000026EA"},
        {":cinema:" , "\U0001F3A6"},
        {":accept:" , "\U0001F251"},
        {":ideograph_advantage:" , "\U0001F250"},
        {":congratulations:" , "\U00003297"},
        {":secret:" , "\U00003299"},
        {":m:" , "\U000024C2"},
        {":circus_tent:" , "\U0001F3AA"},
        {":cityscape:" , "\U0001F3D9"},
        {":city_sunset:" , "\U0001F306"},
        {":clapper:" , "\U0001F3AC"},
        {":clap:" , "\U0001F44F"},
        {":classical_building:" , "\U0001F3DB"},
        {":beers:" , "\U0001F37B"},
        {":clipboard:" , "\U0001F4CB"},
        {":clock830:" , "\U0001F563"},
        {":clock8:" , "\U0001F557"},
        {":clock1130:" , "\U0001F566"},
        {":clock11:" , "\U0001F55A"},
        {":clock530:" , "\U0001F560"},
        {":clock5:" , "\U0001F554"},
        {":clock430:" , "\U0001F55F"},
        {":clock4:" , "\U0001F553"},
        {":clock930:" , "\U0001F564"},
        {":clock9:" , "\U0001F558"},
        {":clock130:" , "\U0001F55C"},
        {":clock1:" , "\U0001F550"},
        {":clock730:" , "\U0001F562"},
        {":clock7:" , "\U0001F556"},
        {":clock630:" , "\U0001F561"},
        {":clock6:" , "\U0001F555"},
        {":clock1030:" , "\U0001F565"},
        {":clock10:" , "\U0001F559"},
        {":clock330:" , "\U0001F55E"},
        {":clock3:" , "\U0001F552"},
        {":clock1230:" , "\U0001F567"},
        {":clock12:" , "\U0001F55B"},
        {":clock230:" , "\U0001F55D"},
        {":clock2:" , "\U0001F551"},
        {":arrows_clockwise:" , "\U0001F503"},
        {":repeat:" , "\U0001F501"},
        {":repeat_one:" , "\U0001F502"},
        {":closed_book:" , "\U0001F4D5"},
        {":closed_lock_with_key:" , "\U0001F510"},
        {":mailbox_closed:" , "\U0001F4EA"},
        {":mailbox:" , "\U0001F4EB"},
        {":closed_umbrella:" , "\U0001F302"},
        {":cloud:" , "\U00002601"},
        {":cloud_with_lightning:" , "\U0001F329"},
        {":cloud_with_rain:" , "\U0001F327"},
        {":cloud_with_snow:" , "\U0001F328"},
        {":cloud_with_tornado:" , "\U0001F32A"},
        {":cocktail:" , "\U0001F378"},
        {":coffin:" , "\U000026B0"},
        {":boom:" , "\U0001F4A5"},
        {":collision:" , "\U0001F4A5"},
        {":comet:" , "\U00002604"},
        {":compression:" , "\U0001F5DC"},
        {":confetti_ball:" , "\U0001F38A"},
        {":confounded:" , "\U0001F616"},
        {":confused:" , "\U0001F615"},
        {":construction:" , "\U0001F6A7"},
        {":construction_worker:" , "\U0001F477"},
        {":control_knobs:" , "\U0001F39B"},
        {":convenience_store:" , "\U0001F3EA"},
        {":rice:" , "\U0001F35A"},
        {":cookie:" , "\U0001F36A"},
        {":egg:" , "\U0001F373"},
        {":copyright:" , "\U000000A9"},
        {":couch_and_lamp:" , "\U0001F6CB"},
        {":couple_with_heart:" , "\U0001F491"},
        {":cow2:" , "\U0001F404"},
        {":cow:" , "\U0001F42E"},
        {":crab:" , "\U0001F980"},
        {":credit_card:" , "\U0001F4B3"},
        {":crescent_moon:" , "\U0001F319"},
        {":cricket_bat_and_ball:" , "\U0001F3CF"},
        {":crocodile:" , "\U0001F40A"},
        {":x:" , "\U0000274C"},
        {":crossed_flags:" , "\U0001F38C"},
        {":crossed_swords:" , "\U00002694"},
        {":crown:" , "\U0001F451"},
        {":crying_cat_face:" , "\U0001F63F"},
        {":cry:" , "\U0001F622"},
        {":crystal_ball:" , "\U0001F52E"},
        {":curly_loop:" , "\U000027B0"},
        {":currency_exchange:" , "\U0001F4B1"},
        {":curry:" , "\U0001F35B"},
        {":custard:" , "\U0001F36E"},
        {":customs:" , "\U0001F6C3"},
        {":cyclone:" , "\U0001F300"},
        {":dagger_knife:" , "\U0001F5E1"},
        {":dancer:" , "\U0001F483"},
        {":dango:" , "\U0001F361"},
        {":dark_sunglasses:" , "\U0001F576"},
        {":dash:" , "\U0001F4A8"},
        {":deciduous_tree:" , "\U0001F333"},
        {":truck:" , "\U0001F69A"},
        {":department_store:" , "\U0001F3EC"},
        {":derelict_house_building:" , "\U0001F3DA"},
        {":desert:" , "\U0001F3DC"},
        {":desert_island:" , "\U0001F3DD"},
        {":desktop_computer:" , "\U0001F5A5"},
        {":diamond_shape_with_a_dot_inside:" , "\U0001F4A0"},
        {":dart:" , "\U0001F3AF"},
        {":disappointed_relieved:" , "\U0001F625"},
        {":disappointed:" , "\U0001F61E"},
        {":dizzy_face:" , "\U0001F635"},
        {":dizzy:" , "\U0001F4AB"},
        {":do_not_litter:" , "\U0001F6AF"},
        {":dog2:" , "\U0001F415"},
        {":dog:" , "\U0001F436"},
        {":dolphin:" , "\U0001F42C"},
        {":flipper:" , "\U0001F42C"},
        {":door:" , "\U0001F6AA"},
        {":loop:" , "\U000027BF"},
        {":bangbang:" , "\U0000203C"},
        {":double_vertical_bar:" , "\U000023F8"},
        {":doughnut:" , "\U0001F369"},
        {":dove_of_peace:" , "\U0001F54A"},
        {":small_red_triangle_down:" , "\U0001F53B"},
        {":arrow_down_small:" , "\U0001F53D"},
        {":arrow_down:" , "\U00002B07"},
        {":dragon:" , "\U0001F409"},
        {":dragon_face:" , "\U0001F432"},
        {":dress:" , "\U0001F457"},
        {":dromedary_camel:" , "\U0001F42A"},
        {":droplet:" , "\U0001F4A7"},
        {":dvd:" , "\U0001F4C0"},
        {":e__mail:" , "\U0001F4E7"},
        {":ear:" , "\U0001F442"},
        {":corn:" , "\U0001F33D"},
        {":ear_of_rice:" , "\U0001F33E"},
        {":earth_americas:" , "\U0001F30E"},
        {":earth_asia:" , "\U0001F30F"},
        {":earth_africa:" , "\U0001F30D"},
        {":eight_pointed_black_star:" , "\U00002734"},
        {":eight_spoked_asterisk:" , "\U00002733"},
        {":eject_symbol:" , "\U000023CF"},
        {":bulb:" , "\U0001F4A1"},
        {":electric_plug:" , "\U0001F50C"},
        {":flashlight:" , "\U0001F526"},
        {":elephant:" , "\U0001F418"},
        {":emoji_modifier_fitzpatrick_type__1__2:" , "\U0001F3FB"},
        {":emoji_modifier_fitzpatrick_type__3:" , "\U0001F3FC"},
        {":emoji_modifier_fitzpatrick_type__4:" , "\U0001F3FD"},
        {":emoji_modifier_fitzpatrick_type__5:" , "\U0001F3FE"},
        {":emoji_modifier_fitzpatrick_type__6:" , "\U0001F3FF"},
        {":end:" , "\U0001F51A"},
        {":email:" , "\U00002709"},
        {":envelope:" , "\U00002709"},
        {":envelope_with_arrow:" , "\U0001F4E9"},
        {":european_castle:" , "\U0001F3F0"},
        {":european_post_office:" , "\U0001F3E4"},
        {":evergreen_tree:" , "\U0001F332"},
        {":interrobang:" , "\U00002049"},
        {":expressionless:" , "\U0001F611"},
        {":alien:" , "\U0001F47D"},
        {":eye:" , "\U0001F441"},
        {":eyeglasses:" , "\U0001F453"},
        {":eyes:" , "\U0001F440"},
        {":massage:" , "\U0001F486"},
        {":yum:" , "\U0001F60B"},
        {":scream:" , "\U0001F631"},
        {":kissing_heart:" , "\U0001F618"},
        {":sweat:" , "\U0001F613"},
        {":face_with_head__bandage:" , "\U0001F915"},
        {":triumph:" , "\U0001F624"},
        {":mask:" , "\U0001F637"},
        {":no_good:" , "\U0001F645"},
        {":ok_woman:" , "\U0001F646"},
        {":open_mouth:" , "\U0001F62E"},
        {":cold_sweat:" , "\U0001F630"},
        {":face_with_rolling_eyes:" , "\U0001F644"},
        {":stuck_out_tongue:" , "\U0001F61B"},
        {":stuck_out_tongue_closed_eyes:" , "\U0001F61D"},
        {":stuck_out_tongue_winking_eye:" , "\U0001F61C"},
        {":joy:" , "\U0001F602"},
        {":face_with_thermometer:" , "\U0001F912"},
        {":no_mouth:" , "\U0001F636"},
        {":factory:" , "\U0001F3ED"},
        {":fallen_leaf:" , "\U0001F342"},
        {":family:" , "\U0001F46A"},
        {":santa:" , "\U0001F385"},
        {":fax:" , "\U0001F4E0"},
        {":fearful:" , "\U0001F628"},
        {":ferris_wheel:" , "\U0001F3A1"},
        {":ferry:" , "\U000026F4"},
        {":field_hockey_stick_and_ball:" , "\U0001F3D1"},
        {":file_cabinet:" , "\U0001F5C4"},
        {":file_folder:" , "\U0001F4C1"},
        {":film_frames:" , "\U0001F39E"},
        {":film_projector:" , "\U0001F4FD"},
        {":fire:" , "\U0001F525"},
        {":fire_engine:" , "\U0001F692"},
        {":sparkler:" , "\U0001F387"},
        {":fireworks:" , "\U0001F386"},
        {":first_quarter_moon:" , "\U0001F313"},
        {":first_quarter_moon_with_face:" , "\U0001F31B"},
        {":fish:" , "\U0001F41F"},
        {":fish_cake:" , "\U0001F365"},
        {":fishing_pole_and_fish:" , "\U0001F3A3"},
        {":facepunch:" , "\U0001F44A"},
        {":punch:" , "\U0001F44A"},
        {":flag_for_Afghanistan:" , "\U0001F1E6\U0001F1EB"},
        {":flag_for_Albania:" , "\U0001F1E6\U0001F1F1"},
        {":flag_for_Algeria:" , "\U0001F1E9\U0001F1FF"},
        {":flag_for_American_Samoa:" , "\U0001F1E6\U0001F1F8"},
        {":flag_for_Andorra:" , "\U0001F1E6\U0001F1E9"},
        {":flag_for_Angola:" , "\U0001F1E6\U0001F1F4"},
        {":flag_for_Anguilla:" , "\U0001F1E6\U0001F1EE"},
        {":flag_for_Antarctica:" , "\U0001F1E6\U0001F1F6"},
        {":flag_for_Antigua_&_Barbuda:" , "\U0001F1E6\U0001F1EC"},
        {":flag_for_Argentina:" , "\U0001F1E6\U0001F1F7"},
        {":flag_for_Armenia:" , "\U0001F1E6\U0001F1F2"},
        {":flag_for_Aruba:" , "\U0001F1E6\U0001F1FC"},
        {":flag_for_Ascension_Island:" , "\U0001F1E6\U0001F1E8"},
        {":flag_for_Australia:" , "\U0001F1E6\U0001F1FA"},
        {":flag_for_Austria:" , "\U0001F1E6\U0001F1F9"},
        {":flag_for_Azerbaijan:" , "\U0001F1E6\U0001F1FF"},
        {":flag_for_Bahamas:" , "\U0001F1E7\U0001F1F8"},
        {":flag_for_Bahrain:" , "\U0001F1E7\U0001F1ED"},
        {":flag_for_Bangladesh:" , "\U0001F1E7\U0001F1E9"},
        {":flag_for_Barbados:" , "\U0001F1E7\U0001F1E7"},
        {":flag_for_Belarus:" , "\U0001F1E7\U0001F1FE"},
        {":flag_for_Belgium:" , "\U0001F1E7\U0001F1EA"},
        {":flag_for_Belize:" , "\U0001F1E7\U0001F1FF"},
        {":flag_for_Benin:" , "\U0001F1E7\U0001F1EF"},
        {":flag_for_Bermuda:" , "\U0001F1E7\U0001F1F2"},
        {":flag_for_Bhutan:" , "\U0001F1E7\U0001F1F9"},
        {":flag_for_Bolivia:" , "\U0001F1E7\U0001F1F4"},
        {":flag_for_Bosnia_&_Herzegovina:" , "\U0001F1E7\U0001F1E6"},
        {":flag_for_Botswana:" , "\U0001F1E7\U0001F1FC"},
        {":flag_for_Bouvet_Island:" , "\U0001F1E7\U0001F1FB"},
        {":flag_for_Brazil:" , "\U0001F1E7\U0001F1F7"},
        {":flag_for_British_Indian_Ocean_Territory:" , "\U0001F1EE\U0001F1F4"},
        {":flag_for_British_Virgin_Islands:" , "\U0001F1FB\U0001F1EC"},
        {":flag_for_Brunei:" , "\U0001F1E7\U0001F1F3"},
        {":flag_for_Bulgaria:" , "\U0001F1E7\U0001F1EC"},
        {":flag_for_Burkina_Faso:" , "\U0001F1E7\U0001F1EB"},
        {":flag_for_Burundi:" , "\U0001F1E7\U0001F1EE"},
        {":flag_for_Cambodia:" , "\U0001F1F0\U0001F1ED"},
        {":flag_for_Cameroon:" , "\U0001F1E8\U0001F1F2"},
        {":flag_for_Canada:" , "\U0001F1E8\U0001F1E6"},
        {":flag_for_Canary_Islands:" , "\U0001F1EE\U0001F1E8"},
        {":flag_for_Cape_Verde:" , "\U0001F1E8\U0001F1FB"},
        {":flag_for_Caribbean_Netherlands:" , "\U0001F1E7\U0001F1F6"},
        {":flag_for_Cayman_Islands:" , "\U0001F1F0\U0001F1FE"},
        {":flag_for_Central_African_Republic:" , "\U0001F1E8\U0001F1EB"},
        {":flag_for_Ceuta_&_Melilla:" , "\U0001F1EA\U0001F1E6"},
        {":flag_for_Chad:" , "\U0001F1F9\U0001F1E9"},
        {":flag_for_Chile:" , "\U0001F1E8\U0001F1F1"},
        {":flag_for_China:" , "\U0001F1E8\U0001F1F3"},
        {":flag_for_Christmas_Island:" , "\U0001F1E8\U0001F1FD"},
        {":flag_for_Clipperton_Island:" , "\U0001F1E8\U0001F1F5"},
        {":flag_for_Cocos__Islands:" , "\U0001F1E8\U0001F1E8"},
        {":flag_for_Colombia:" , "\U0001F1E8\U0001F1F4"},
        {":flag_for_Comoros:" , "\U0001F1F0\U0001F1F2"},
        {":flag_for_Congo____Brazzaville:" , "\U0001F1E8\U0001F1EC"},
        {":flag_for_Congo____Kinshasa:" , "\U0001F1E8\U0001F1E9"},
        {":flag_for_Cook_Islands:" , "\U0001F1E8\U0001F1F0"},
        {":flag_for_Costa_Rica:" , "\U0001F1E8\U0001F1F7"},
        {":flag_for_Croatia:" , "\U0001F1ED\U0001F1F7"},
        {":flag_for_Cuba:" , "\U0001F1E8\U0001F1FA"},
        {":flag_for_Curaçao:" , "\U0001F1E8\U0001F1FC"},
        {":flag_for_Cyprus:" , "\U0001F1E8\U0001F1FE"},
        {":flag_for_Czech_Republic:" , "\U0001F1E8\U0001F1FF"},
        {":flag_for_Côte_d’Ivoire:" , "\U0001F1E8\U0001F1EE"},
        {":flag_for_Denmark:" , "\U0001F1E9\U0001F1F0"},
        {":flag_for_Diego_Garcia:" , "\U0001F1E9\U0001F1EC"},
        {":flag_for_Djibouti:" , "\U0001F1E9\U0001F1EF"},
        {":flag_for_Dominica:" , "\U0001F1E9\U0001F1F2"},
        {":flag_for_Dominican_Republic:" , "\U0001F1E9\U0001F1F4"},
        {":flag_for_Ecuador:" , "\U0001F1EA\U0001F1E8"},
        {":flag_for_Egypt:" , "\U0001F1EA\U0001F1EC"},
        {":flag_for_El_Salvador:" , "\U0001F1F8\U0001F1FB"},
        {":flag_for_Equatorial_Guinea:" , "\U0001F1EC\U0001F1F6"},
        {":flag_for_Eritrea:" , "\U0001F1EA\U0001F1F7"},
        {":flag_for_Estonia:" , "\U0001F1EA\U0001F1EA"},
        {":flag_for_Ethiopia:" , "\U0001F1EA\U0001F1F9"},
        {":flag_for_European_Union:" , "\U0001F1EA\U0001F1FA"},
        {":flag_for_Falkland_Islands:" , "\U0001F1EB\U0001F1F0"},
        {":flag_for_Faroe_Islands:" , "\U0001F1EB\U0001F1F4"},
        {":flag_for_Fiji:" , "\U0001F1EB\U0001F1EF"},
        {":flag_for_Finland:" , "\U0001F1EB\U0001F1EE"},
        {":flag_for_France:" , "\U0001F1EB\U0001F1F7"},
        {":flag_for_French_Guiana:" , "\U0001F1EC\U0001F1EB"},
        {":flag_for_French_Polynesia:" , "\U0001F1F5\U0001F1EB"},
        {":flag_for_French_Southern_Territories:" , "\U0001F1F9\U0001F1EB"},
        {":flag_for_Gabon:" , "\U0001F1EC\U0001F1E6"},
        {":flag_for_Gambia:" , "\U0001F1EC\U0001F1F2"},
        {":flag_for_Georgia:" , "\U0001F1EC\U0001F1EA"},
        {":flag_for_Germany:" , "\U0001F1E9\U0001F1EA"},
        {":flag_for_Ghana:" , "\U0001F1EC\U0001F1ED"},
        {":flag_for_Gibraltar:" , "\U0001F1EC\U0001F1EE"},
        {":flag_for_Greece:" , "\U0001F1EC\U0001F1F7"},
        {":flag_for_Greenland:" , "\U0001F1EC\U0001F1F1"},
        {":flag_for_Grenada:" , "\U0001F1EC\U0001F1E9"},
        {":flag_for_Guadeloupe:" , "\U0001F1EC\U0001F1F5"},
        {":flag_for_Guam:" , "\U0001F1EC\U0001F1FA"},
        {":flag_for_Guatemala:" , "\U0001F1EC\U0001F1F9"},
        {":flag_for_Guernsey:" , "\U0001F1EC\U0001F1EC"},
        {":flag_for_Guinea:" , "\U0001F1EC\U0001F1F3"},
        {":flag_for_Guinea__Bissau:" , "\U0001F1EC\U0001F1FC"},
        {":flag_for_Guyana:" , "\U0001F1EC\U0001F1FE"},
        {":flag_for_Haiti:" , "\U0001F1ED\U0001F1F9"},
        {":flag_for_Heard_&_McDonald_Islands:" , "\U0001F1ED\U0001F1F2"},
        {":flag_for_Honduras:" , "\U0001F1ED\U0001F1F3"},
        {":flag_for_Hong_Kong:" , "\U0001F1ED\U0001F1F0"},
        {":flag_for_Hungary:" , "\U0001F1ED\U0001F1FA"},
        {":flag_for_Iceland:" , "\U0001F1EE\U0001F1F8"},
        {":flag_for_India:" , "\U0001F1EE\U0001F1F3"},
        {":flag_for_Indonesia:" , "\U0001F1EE\U0001F1E9"},
        {":flag_for_Iran:" , "\U0001F1EE\U0001F1F7"},
        {":flag_for_Iraq:" , "\U0001F1EE\U0001F1F6"},
        {":flag_for_Ireland:" , "\U0001F1EE\U0001F1EA"},
        {":flag_for_Isle_of_Man:" , "\U0001F1EE\U0001F1F2"},
        {":flag_for_Israel:" , "\U0001F1EE\U0001F1F1"},
        {":flag_for_Italy:" , "\U0001F1EE\U0001F1F9"},
        {":flag_for_Jamaica:" , "\U0001F1EF\U0001F1F2"},
        {":flag_for_Japan:" , "\U0001F1EF\U0001F1F5"},
        {":flag_for_Jersey:" , "\U0001F1EF\U0001F1EA"},
        {":flag_for_Jordan:" , "\U0001F1EF\U0001F1F4"},
        {":flag_for_Kazakhstan:" , "\U0001F1F0\U0001F1FF"},
        {":flag_for_Kenya:" , "\U0001F1F0\U0001F1EA"},
        {":flag_for_Kiribati:" , "\U0001F1F0\U0001F1EE"},
        {":flag_for_Kosovo:" , "\U0001F1FD\U0001F1F0"},
        {":flag_for_Kuwait:" , "\U0001F1F0\U0001F1FC"},
        {":flag_for_Kyrgyzstan:" , "\U0001F1F0\U0001F1EC"},
        {":flag_for_Laos:" , "\U0001F1F1\U0001F1E6"},
        {":flag_for_Latvia:" , "\U0001F1F1\U0001F1FB"},
        {":flag_for_Lebanon:" , "\U0001F1F1\U0001F1E7"},
        {":flag_for_Lesotho:" , "\U0001F1F1\U0001F1F8"},
        {":flag_for_Liberia:" , "\U0001F1F1\U0001F1F7"},
        {":flag_for_Libya:" , "\U0001F1F1\U0001F1FE"},
        {":flag_for_Liechtenstein:" , "\U0001F1F1\U0001F1EE"},
        {":flag_for_Lithuania:" , "\U0001F1F1\U0001F1F9"},
        {":flag_for_Luxembourg:" , "\U0001F1F1\U0001F1FA"},
        {":flag_for_Macau:" , "\U0001F1F2\U0001F1F4"},
        {":flag_for_Macedonia:" , "\U0001F1F2\U0001F1F0"},
        {":flag_for_Madagascar:" , "\U0001F1F2\U0001F1EC"},
        {":flag_for_Malawi:" , "\U0001F1F2\U0001F1FC"},
        {":flag_for_Malaysia:" , "\U0001F1F2\U0001F1FE"},
        {":flag_for_Maldives:" , "\U0001F1F2\U0001F1FB"},
        {":flag_for_Mali:" , "\U0001F1F2\U0001F1F1"},
        {":flag_for_Malta:" , "\U0001F1F2\U0001F1F9"},
        {":flag_for_Marshall_Islands:" , "\U0001F1F2\U0001F1ED"},
        {":flag_for_Martinique:" , "\U0001F1F2\U0001F1F6"},
        {":flag_for_Mauritania:" , "\U0001F1F2\U0001F1F7"},
        {":flag_for_Mauritius:" , "\U0001F1F2\U0001F1FA"},
        {":flag_for_Mayotte:" , "\U0001F1FE\U0001F1F9"},
        {":flag_for_Mexico:" , "\U0001F1F2\U0001F1FD"},
        {":flag_for_Micronesia:" , "\U0001F1EB\U0001F1F2"},
        {":flag_for_Moldova:" , "\U0001F1F2\U0001F1E9"},
        {":flag_for_Monaco:" , "\U0001F1F2\U0001F1E8"},
        {":flag_for_Mongolia:" , "\U0001F1F2\U0001F1F3"},
        {":flag_for_Montenegro:" , "\U0001F1F2\U0001F1EA"},
        {":flag_for_Montserrat:" , "\U0001F1F2\U0001F1F8"},
        {":flag_for_Morocco:" , "\U0001F1F2\U0001F1E6"},
        {":flag_for_Mozambique:" , "\U0001F1F2\U0001F1FF"},
        {":flag_for_Myanmar:" , "\U0001F1F2\U0001F1F2"},
        {":flag_for_Namibia:" , "\U0001F1F3\U0001F1E6"},
        {":flag_for_Nauru:" , "\U0001F1F3\U0001F1F7"},
        {":flag_for_Nepal:" , "\U0001F1F3\U0001F1F5"},
        {":flag_for_Netherlands:" , "\U0001F1F3\U0001F1F1"},
        {":flag_for_New_Caledonia:" , "\U0001F1F3\U0001F1E8"},
        {":flag_for_New_Zealand:" , "\U0001F1F3\U0001F1FF"},
        {":flag_for_Nicaragua:" , "\U0001F1F3\U0001F1EE"},
        {":flag_for_Niger:" , "\U0001F1F3\U0001F1EA"},
        {":flag_for_Nigeria:" , "\U0001F1F3\U0001F1EC"},
        {":flag_for_Niue:" , "\U0001F1F3\U0001F1FA"},
        {":flag_for_Norfolk_Island:" , "\U0001F1F3\U0001F1EB"},
        {":flag_for_North_Korea:" , "\U0001F1F0\U0001F1F5"},
        {":flag_for_Northern_Mariana_Islands:" , "\U0001F1F2\U0001F1F5"},
        {":flag_for_Norway:" , "\U0001F1F3\U0001F1F4"},
        {":flag_for_Oman:" , "\U0001F1F4\U0001F1F2"},
        {":flag_for_Pakistan:" , "\U0001F1F5\U0001F1F0"},
        {":flag_for_Palau:" , "\U0001F1F5\U0001F1FC"},
        {":flag_for_Palestinian_Territories:" , "\U0001F1F5\U0001F1F8"},
        {":flag_for_Panama:" , "\U0001F1F5\U0001F1E6"},
        {":flag_for_Papua_New_Guinea:" , "\U0001F1F5\U0001F1EC"},
        {":flag_for_Paraguay:" , "\U0001F1F5\U0001F1FE"},
        {":flag_for_Peru:" , "\U0001F1F5\U0001F1EA"},
        {":flag_for_Philippines:" , "\U0001F1F5\U0001F1ED"},
        {":flag_for_Pitcairn_Islands:" , "\U0001F1F5\U0001F1F3"},
        {":flag_for_Poland:" , "\U0001F1F5\U0001F1F1"},
        {":flag_for_Portugal:" , "\U0001F1F5\U0001F1F9"},
        {":flag_for_Puerto_Rico:" , "\U0001F1F5\U0001F1F7"},
        {":flag_for_Qatar:" , "\U0001F1F6\U0001F1E6"},
        {":flag_for_Romania:" , "\U0001F1F7\U0001F1F4"},
        {":flag_for_Russia:" , "\U0001F1F7\U0001F1FA"},
        {":flag_for_Rwanda:" , "\U0001F1F7\U0001F1FC"},
        {":flag_for_Réunion:" , "\U0001F1F7\U0001F1EA"},
        {":flag_for_Samoa:" , "\U0001F1FC\U0001F1F8"},
        {":flag_for_San_Marino:" , "\U0001F1F8\U0001F1F2"},
        {":flag_for_Saudi_Arabia:" , "\U0001F1F8\U0001F1E6"},
        {":flag_for_Senegal:" , "\U0001F1F8\U0001F1F3"},
        {":flag_for_Serbia:" , "\U0001F1F7\U0001F1F8"},
        {":flag_for_Seychelles:" , "\U0001F1F8\U0001F1E8"},
        {":flag_for_Sierra_Leone:" , "\U0001F1F8\U0001F1F1"},
        {":flag_for_Singapore:" , "\U0001F1F8\U0001F1EC"},
        {":flag_for_Sint_Maarten:" , "\U0001F1F8\U0001F1FD"},
        {":flag_for_Slovakia:" , "\U0001F1F8\U0001F1F0"},
        {":flag_for_Slovenia:" , "\U0001F1F8\U0001F1EE"},
        {":flag_for_Solomon_Islands:" , "\U0001F1F8\U0001F1E7"},
        {":flag_for_Somalia:" , "\U0001F1F8\U0001F1F4"},
        {":flag_for_South_Africa:" , "\U0001F1FF\U0001F1E6"},
        {":flag_for_South_Georgia_&_South_Sandwich_Islands:" , "\U0001F1EC\U0001F1F8"},
        {":flag_for_South_Korea:" , "\U0001F1F0\U0001F1F7"},
        {":flag_for_South_Sudan:" , "\U0001F1F8\U0001F1F8"},
        {":flag_for_Spain:" , "\U0001F1EA\U0001F1F8"},
        {":flag_for_Sri_Lanka:" , "\U0001F1F1\U0001F1F0"},
        {":flag_for_St._Barthélemy:" , "\U0001F1E7\U0001F1F1"},
        {":flag_for_St._Helena:" , "\U0001F1F8\U0001F1ED"},
        {":flag_for_St._Kitts_&_Nevis:" , "\U0001F1F0\U0001F1F3"},
        {":flag_for_St._Lucia:" , "\U0001F1F1\U0001F1E8"},
        {":flag_for_St._Martin:" , "\U0001F1F2\U0001F1EB"},
        {":flag_for_St._Pierre_&_Miquelon:" , "\U0001F1F5\U0001F1F2"},
        {":flag_for_St._Vincent_&_Grenadines:" , "\U0001F1FB\U0001F1E8"},
        {":flag_for_Sudan:" , "\U0001F1F8\U0001F1E9"},
        {":flag_for_Suriname:" , "\U0001F1F8\U0001F1F7"},
        {":flag_for_Svalbard_&_Jan_Mayen:" , "\U0001F1F8\U0001F1EF"},
        {":flag_for_Swaziland:" , "\U0001F1F8\U0001F1FF"},
        {":flag_for_Sweden:" , "\U0001F1F8\U0001F1EA"},
        {":flag_for_Switzerland:" , "\U0001F1E8\U0001F1ED"},
        {":flag_for_Syria:" , "\U0001F1F8\U0001F1FE"},
        {":flag_for_São_Tomé_&_Príncipe:" , "\U0001F1F8\U0001F1F9"},
        {":flag_for_Taiwan:" , "\U0001F1F9\U0001F1FC"},
        {":flag_for_Tajikistan:" , "\U0001F1F9\U0001F1EF"},
        {":flag_for_Tanzania:" , "\U0001F1F9\U0001F1FF"},
        {":flag_for_Thailand:" , "\U0001F1F9\U0001F1ED"},
        {":flag_for_Timor__Leste:" , "\U0001F1F9\U0001F1F1"},
        {":flag_for_Togo:" , "\U0001F1F9\U0001F1EC"},
        {":flag_for_Tokelau:" , "\U0001F1F9\U0001F1F0"},
        {":flag_for_Tonga:" , "\U0001F1F9\U0001F1F4"},
        {":flag_for_Trinidad_&_Tobago:" , "\U0001F1F9\U0001F1F9"},
        {":flag_for_Tristan_da_Cunha:" , "\U0001F1F9\U0001F1E6"},
        {":flag_for_Tunisia:" , "\U0001F1F9\U0001F1F3"},
        {":flag_for_Turkey:" , "\U0001F1F9\U0001F1F7"},
        {":flag_for_Turkmenistan:" , "\U0001F1F9\U0001F1F2"},
        {":flag_for_Turks_&_Caicos_Islands:" , "\U0001F1F9\U0001F1E8"},
        {":flag_for_Tuvalu:" , "\U0001F1F9\U0001F1FB"},
        {":flag_for_U.S._Outlying_Islands:" , "\U0001F1FA\U0001F1F2"},
        {":flag_for_U.S._Virgin_Islands:" , "\U0001F1FB\U0001F1EE"},
        {":flag_for_Uganda:" , "\U0001F1FA\U0001F1EC"},
        {":flag_for_Ukraine:" , "\U0001F1FA\U0001F1E6"},
        {":flag_for_United_Arab_Emirates:" , "\U0001F1E6\U0001F1EA"},
        {":flag_for_United_Kingdom:" , "\U0001F1EC\U0001F1E7"},
        {":flag_for_United_States:" , "\U0001F1FA\U0001F1F8"},
        {":flag_for_Uruguay:" , "\U0001F1FA\U0001F1FE"},
        {":flag_for_Uzbekistan:" , "\U0001F1FA\U0001F1FF"},
        {":flag_for_Vanuatu:" , "\U0001F1FB\U0001F1FA"},
        {":flag_for_Vatican_City:" , "\U0001F1FB\U0001F1E6"},
        {":flag_for_Venezuela:" , "\U0001F1FB\U0001F1EA"},
        {":flag_for_Vietnam:" , "\U0001F1FB\U0001F1F3"},
        {":flag_for_Wallis_&_Futuna:" , "\U0001F1FC\U0001F1EB"},
        {":flag_for_Western_Sahara:" , "\U0001F1EA\U0001F1ED"},
        {":flag_for_Yemen:" , "\U0001F1FE\U0001F1EA"},
        {":flag_for_Zambia:" , "\U0001F1FF\U0001F1F2"},
        {":flag_for_Zimbabwe:" , "\U0001F1FF\U0001F1FC"},
        {":flag_for_Åland_Islands:" , "\U0001F1E6\U0001F1FD"},
        {":golf:" , "\U000026F3"},
        {":fleur__de__lis:" , "\U0000269C"},
        {":muscle:" , "\U0001F4AA"},
        {":floppy_disk:" , "\U0001F4BE"},
        {":flower_playing_cards:" , "\U0001F3B4"},
        {":flushed:" , "\U0001F633"},
        {":fog:" , "\U0001F32B"},
        {":foggy:" , "\U0001F301"},
        {":footprints:" , "\U0001F463"},
        {":fork_and_knife:" , "\U0001F374"},
        {":fork_and_knife_with_plate:" , "\U0001F37D"},
        {":fountain:" , "\U000026F2"},
        {":four_leaf_clover:" , "\U0001F340"},
        {":frame_with_picture:" , "\U0001F5BC"},
        {":fries:" , "\U0001F35F"},
        {":fried_shrimp:" , "\U0001F364"},
        {":frog:" , "\U0001F438"},
        {":hatched_chick:" , "\U0001F425"},
        {":frowning:" , "\U0001F626"},
        {":fuelpump:" , "\U000026FD"},
        {":full_moon:" , "\U0001F315"},
        {":full_moon_with_face:" , "\U0001F31D"},
        {":funeral_urn:" , "\U000026B1"},
        {":game_die:" , "\U0001F3B2"},
        {":gear:" , "\U00002699"},
        {":gem:" , "\U0001F48E"},
        {":gemini:" , "\U0000264A"},
        {":ghost:" , "\U0001F47B"},
        {":girl:" , "\U0001F467"},
        {":globe_with_meridians:" , "\U0001F310"},
        {":star2:" , "\U0001F31F"},
        {":goat:" , "\U0001F410"},
        {":golfer:" , "\U0001F3CC"},
        {":mortar_board:" , "\U0001F393"},
        {":grapes:" , "\U0001F347"},
        {":green_apple:" , "\U0001F34F"},
        {":green_book:" , "\U0001F4D7"},
        {":green_heart:" , "\U0001F49A"},
        {":grimacing:" , "\U0001F62C"},
        {":smile_cat:" , "\U0001F638"},
        {":grinning:" , "\U0001F600"},
        {":grin:" , "\U0001F601"},
        {":heartpulse:" , "\U0001F497"},
        {":guardsman:" , "\U0001F482"},
        {":guitar:" , "\U0001F3B8"},
        {":haircut:" , "\U0001F487"},
        {":hamburger:" , "\U0001F354"},
        {":hammer:" , "\U0001F528"},
        {":hammer_and_pick:" , "\U00002692"},
        {":hammer_and_wrench:" , "\U0001F6E0"},
        {":hamster:" , "\U0001F439"},
        {":handbag:" , "\U0001F45C"},
        {":raising_hand:" , "\U0001F64B"},
        {":hatching_chick:" , "\U0001F423"},
        {":headphones:" , "\U0001F3A7"},
        {":hear_no_evil:" , "\U0001F649"},
        {":heart_decoration:" , "\U0001F49F"},
        {":cupid:" , "\U0001F498"},
        {":gift_heart:" , "\U0001F49D"},
        {":heart:" , "\U00002764"},
        {":heavy_check_mark:" , "\U00002714"},
        {":heavy_division_sign:" , "\U00002797"},
        {":heavy_dollar_sign:" , "\U0001F4B2"},
        {":exclamation:" , "\U00002757"},
        {":heavy_exclamation_mark:" , "\U00002757"},
        {":heavy_heart_exclamation_mark_ornament:" , "\U00002763"},
        {":o:" , "\U00002B55"},
        {":heavy_minus_sign:" , "\U00002796"},
        {":heavy_multiplication_x:" , "\U00002716"},
        {":heavy_plus_sign:" , "\U00002795"},
        {":helicopter:" , "\U0001F681"},
        {":helm_symbol:" , "\U00002388"},
        {":helmet_with_white_cross:" , "\U000026D1"},
        {":herb:" , "\U0001F33F"},
        {":hibiscus:" , "\U0001F33A"},
        {":high_heel:" , "\U0001F460"},
        {":bullettrain_side:" , "\U0001F684"},
        {":bullettrain_front:" , "\U0001F685"},
        {":high_brightness:" , "\U0001F506"},
        {":zap:" , "\U000026A1"},
        {":hocho:" , "\U0001F52A"},
        {":knife:" , "\U0001F52A"},
        {":hole:" , "\U0001F573"},
        {":honey_pot:" , "\U0001F36F"},
        {":bee:" , "\U0001F41D"},
        {":traffic_light:" , "\U0001F6A5"},
        {":racehorse:" , "\U0001F40E"},
        {":horse:" , "\U0001F434"},
        {":horse_racing:" , "\U0001F3C7"},
        {":hospital:" , "\U0001F3E5"},
        {":coffee:" , "\U00002615"},
        {":hot_dog:" , "\U0001F32D"},
        {":hot_pepper:" , "\U0001F336"},
        {":hotsprings:" , "\U00002668"},
        {":hotel:" , "\U0001F3E8"},
        {":hourglass:" , "\U0000231B"},
        {":hourglass_flowing_sand:" , "\U000023F3"},
        {":house:" , "\U0001F3E0"},
        {":house_buildings:" , "\U0001F3D8"},
        {":house_with_garden:" , "\U0001F3E1"},
        {":hugging_face:" , "\U0001F917"},
        {":100:" , "\U0001F4AF"},
        {":hushed:" , "\U0001F62F"},
        {":ice_cream:" , "\U0001F368"},
        {":ice_hockey_stick_and_puck:" , "\U0001F3D2"},
        {":ice_skate:" , "\U000026F8"},
        {":imp:" , "\U0001F47F"},
        {":inbox_tray:" , "\U0001F4E5"},
        {":incoming_envelope:" , "\U0001F4E8"},
        {":information_desk_person:" , "\U0001F481"},
        {":information_source:" , "\U00002139"},
        {":capital_abcd:" , "\U0001F520"},
        {":abc:" , "\U0001F524"},
        {":abcd:" , "\U0001F521"},
        {":1234:" , "\U0001F522"},
        {":symbols:" , "\U0001F523"},
        {":izakaya_lantern:" , "\U0001F3EE"},
        {":lantern:" , "\U0001F3EE"},
        {":jack_o_lantern:" , "\U0001F383"},
        {":japanese_castle:" , "\U0001F3EF"},
        {":dolls:" , "\U0001F38E"},
        {":japanese_goblin:" , "\U0001F47A"},
        {":japanese_ogre:" , "\U0001F479"},
        {":post_office:" , "\U0001F3E3"},
        {":beginner:" , "\U0001F530"},
        {":jeans:" , "\U0001F456"},
        {":joystick:" , "\U0001F579"},
        {":kaaba:" , "\U0001F54B"},
        {":key:" , "\U0001F511"},
        {":keyboard:" , "\U00002328"},
        {":keycap_asterisk:" , "\U0000002A\U000020E3"},
        {":keycap_digit_eight:" , "\U00000038\U000020E3"},
        {":keycap_digit_five:" , "\U00000035\U000020E3"},
        {":keycap_digit_four:" , "\U00000034\U000020E3"},
        {":keycap_digit_nine:" , "\U00000039\U000020E3"},
        {":keycap_digit_one:" , "\U00000031\U000020E3"},
        {":keycap_digit_seven:" , "\U00000037\U000020E3"},
        {":keycap_digit_six:" , "\U00000036\U000020E3"},
        {":keycap_digit_three:" , "\U00000033\U000020E3"},
        {":keycap_digit_two:" , "\U00000032\U000020E3"},
        {":keycap_digit_zero:" , "\U00000030\U000020E3"},
        {":keycap_number_sign:" , "\U00000023\U000020E3"},
        {":keycap_ten:" , "\U0001F51F"},
        {":kimono:" , "\U0001F458"},
        {":couplekiss:" , "\U0001F48F"},
        {":kiss:" , "\U0001F48B"},
        {":kissing_cat:" , "\U0001F63D"},
        {":kissing:" , "\U0001F617"},
        {":kissing_closed_eyes:" , "\U0001F61A"},
        {":kissing_smiling_eyes:" , "\U0001F619"},
        {":koala:" , "\U0001F428"},
        {":label:" , "\U0001F3F7"},
        {":beetle:" , "\U0001F41E"},
        {":large_blue_circle:" , "\U0001F535"},
        {":large_blue_diamond:" , "\U0001F537"},
        {":large_orange_diamond:" , "\U0001F536"},
        {":red_circle:" , "\U0001F534"},
        {":last_quarter_moon:" , "\U0001F317"},
        {":last_quarter_moon_with_face:" , "\U0001F31C"},
        {":latin_cross:" , "\U0000271D"},
        {":leaves:" , "\U0001F343"},
        {":ledger:" , "\U0001F4D2"},
        {":mag:" , "\U0001F50D"},
        {":left_luggage:" , "\U0001F6C5"},
        {":left_right_arrow:" , "\U00002194"},
        {":leftwards_arrow_with_hook:" , "\U000021A9"},
        {":arrow_left:" , "\U00002B05"},
        {":lemon:" , "\U0001F34B"},
        {":leo:" , "\U0000264C"},
        {":leopard:" , "\U0001F406"},
        {":level_slider:" , "\U0001F39A"},
        {":libra:" , "\U0000264E"},
        {":light_rail:" , "\U0001F688"},
        {":link:" , "\U0001F517"},
        {":linked_paperclips:" , "\U0001F587"},
        {":lion_face:" , "\U0001F981"},
        {":lipstick:" , "\U0001F484"},
        {":lock:" , "\U0001F512"},
        {":lock_with_ink_pen:" , "\U0001F50F"},
        {":lollipop:" , "\U0001F36D"},
        {":sob:" , "\U0001F62D"},
        {":love_hotel:" , "\U0001F3E9"},
        {":love_letter:" , "\U0001F48C"},
        {":low_brightness:" , "\U0001F505"},
        {":lower_left_ballpoint_pen:" , "\U0001F58A"},
        {":lower_left_crayon:" , "\U0001F58D"},
        {":lower_left_fountain_pen:" , "\U0001F58B"},
        {":lower_left_paintbrush:" , "\U0001F58C"},
        {":mahjong:" , "\U0001F004"},
        {":man:" , "\U0001F468"},
        {":couple:" , "\U0001F46B"},
        {":man_in_business_suit_levitating:" , "\U0001F574"},
        {":man_with_gua_pi_mao:" , "\U0001F472"},
        {":man_with_turban:" , "\U0001F473"},
        {":mans_shoe:" , "\U0001F45E"},
        {":shoe:" , "\U0001F45E"},
        {":mantelpiece_clock:" , "\U0001F570"},
        {":maple_leaf:" , "\U0001F341"},
        {":meat_on_bone:" , "\U0001F356"},
        {":black_circle:" , "\U000026AB"},
        {":white_circle:" , "\U000026AA"},
        {":melon:" , "\U0001F348"},
        {":memo:" , "\U0001F4DD"},
        {":pencil:" , "\U0001F4DD"},
        {":menorah_with_nine_branches:" , "\U0001F54E"},
        {":mens:" , "\U0001F6B9"},
        {":metro:" , "\U0001F687"},
        {":microphone:" , "\U0001F3A4"},
        {":microscope:" , "\U0001F52C"},
        {":military_medal:" , "\U0001F396"},
        {":milky_way:" , "\U0001F30C"},
        {":minibus:" , "\U0001F690"},
        {":minidisc:" , "\U0001F4BD"},
        {":iphone:" , "\U0001F4F1"},
        {":mobile_phone_off:" , "\U0001F4F4"},
        {":calling:" , "\U0001F4F2"},
        {":money__mouth_face:" , "\U0001F911"},
        {":moneybag:" , "\U0001F4B0"},
        {":money_with_wings:" , "\U0001F4B8"},
        {":monkey:" , "\U0001F412"},
        {":monkey_face:" , "\U0001F435"},
        {":monorail:" , "\U0001F69D"},
        {":rice_scene:" , "\U0001F391"},
        {":mosque:" , "\U0001F54C"},
        {":motor_boat:" , "\U0001F6E5"},
        {":motorway:" , "\U0001F6E3"},
        {":mount_fuji:" , "\U0001F5FB"},
        {":mountain:" , "\U000026F0"},
        {":mountain_bicyclist:" , "\U0001F6B5"},
        {":mountain_cableway:" , "\U0001F6A0"},
        {":mountain_railway:" , "\U0001F69E"},
        {":mouse2:" , "\U0001F401"},
        {":mouse:" , "\U0001F42D"},
        {":lips:" , "\U0001F444"},
        {":movie_camera:" , "\U0001F3A5"},
        {":moyai:" , "\U0001F5FF"},
        {":notes:" , "\U0001F3B6"},
        {":mushroom:" , "\U0001F344"},
        {":musical_keyboard:" , "\U0001F3B9"},
        {":musical_note:" , "\U0001F3B5"},
        {":musical_score:" , "\U0001F3BC"},
        {":nail_care:" , "\U0001F485"},
        {":name_badge:" , "\U0001F4DB"},
        {":national_park:" , "\U0001F3DE"},
        {":necktie:" , "\U0001F454"},
        {":ab:" , "\U0001F18E"},
        {":negative_squared_cross_mark:" , "\U0000274E"},
        {":a:" , "\U0001F170"},
        {":b:" , "\U0001F171"},
        {":o2:" , "\U0001F17E"},
        {":parking:" , "\U0001F17F"},
        {":nerd_face:" , "\U0001F913"},
        {":neutral_face:" , "\U0001F610"},
        {":new_moon:" , "\U0001F311"},
        {":honeybee:" , "\U0001F41D"},
        {":new_moon_with_face:" , "\U0001F31A"},
        {":newspaper:" , "\U0001F4F0"},
        {":night_with_stars:" , "\U0001F303"},
        {":no_bicycles:" , "\U0001F6B3"},
        {":no_entry:" , "\U000026D4"},
        {":no_entry_sign:" , "\U0001F6AB"},
        {":no_mobile_phones:" , "\U0001F4F5"},
        {":underage:" , "\U0001F51E"},
        {":no_pedestrians:" , "\U0001F6B7"},
        {":no_smoking:" , "\U0001F6AD"},
        {":non__potable_water:" , "\U0001F6B1"},
        {":arrow_upper_right:" , "\U00002197"},
        {":arrow_upper_left:" , "\U00002196"},
        {":nose:" , "\U0001F443"},
        {":notebook:" , "\U0001F4D3"},
        {":notebook_with_decorative_cover:" , "\U0001F4D4"},
        {":nut_and_bolt:" , "\U0001F529"},
        {":octopus:" , "\U0001F419"},
        {":oden:" , "\U0001F362"},
        {":office:" , "\U0001F3E2"},
        {":oil_drum:" , "\U0001F6E2"},
        {":ok_hand:" , "\U0001F44C"},
        {":old_key:" , "\U0001F5DD"},
        {":older_man:" , "\U0001F474"},
        {":older_woman:" , "\U0001F475"},
        {":om_symbol:" , "\U0001F549"},
        {":on:" , "\U0001F51B"},
        {":oncoming_automobile:" , "\U0001F698"},
        {":oncoming_bus:" , "\U0001F68D"},
        {":oncoming_police_car:" , "\U0001F694"},
        {":oncoming_taxi:" , "\U0001F696"},
        {":book:" , "\U0001F4D6"},
        {":open_book:" , "\U0001F4D6"},
        {":open_file_folder:" , "\U0001F4C2"},
        {":open_hands:" , "\U0001F450"},
        {":unlock:" , "\U0001F513"},
        {":mailbox_with_no_mail:" , "\U0001F4ED"},
        {":mailbox_with_mail:" , "\U0001F4EC"},
        {":ophiuchus:" , "\U000026CE"},
        {":cd:" , "\U0001F4BF"},
        {":orange_book:" , "\U0001F4D9"},
        {":orthodox_cross:" , "\U00002626"},
        {":outbox_tray:" , "\U0001F4E4"},
        {":ox:" , "\U0001F402"},
        {":package:" , "\U0001F4E6"},
        {":page_facing_up:" , "\U0001F4C4"},
        {":page_with_curl:" , "\U0001F4C3"},
        {":pager:" , "\U0001F4DF"},
        {":palm_tree:" , "\U0001F334"},
        {":panda_face:" , "\U0001F43C"},
        {":paperclip:" , "\U0001F4CE"},
        {":part_alternation_mark:" , "\U0000303D"},
        {":tada:" , "\U0001F389"},
        {":passenger_ship:" , "\U0001F6F3"},
        {":passport_control:" , "\U0001F6C2"},
        {":feet:" , "\U0001F43E"},
        {":paw_prints:" , "\U0001F43E"},
        {":peace_symbol:" , "\U0000262E"},
        {":peach:" , "\U0001F351"},
        {":pear:" , "\U0001F350"},
        {":walking:" , "\U0001F6B6"},
        {":pencil2:" , "\U0000270F"},
        {":penguin:" , "\U0001F427"},
        {":pensive:" , "\U0001F614"},
        {":performing_arts:" , "\U0001F3AD"},
        {":persevere:" , "\U0001F623"},
        {":bow:" , "\U0001F647"},
        {":person_frowning:" , "\U0001F64D"},
        {":raised_hands:" , "\U0001F64C"},
        {":person_with_ball:" , "\U000026F9"},
        {":person_with_blond_hair:" , "\U0001F471"},
        {":pray:" , "\U0001F64F"},
        {":person_with_pouting_face:" , "\U0001F64E"},
        {":computer:" , "\U0001F4BB"},
        {":pick:" , "\U000026CF"},
        {":pig2:" , "\U0001F416"},
        {":pig:" , "\U0001F437"},
        {":pig_nose:" , "\U0001F43D"},
        {":hankey:" , "\U0001F4A9"},
        {":poop:" , "\U0001F4A9"},
        {":shit:" , "\U0001F4A9"},
        {":pill:" , "\U0001F48A"},
        {":bamboo:" , "\U0001F38D"},
        {":pineapple:" , "\U0001F34D"},
        {":pisces:" , "\U00002653"},
        {":gun:" , "\U0001F52B"},
        {":place_of_worship:" , "\U0001F6D0"},
        {":black_joker:" , "\U0001F0CF"},
        {":police_car:" , "\U0001F693"},
        {":rotating_light:" , "\U0001F6A8"},
        {":cop:" , "\U0001F46E"},
        {":poodle:" , "\U0001F429"},
        {":popcorn:" , "\U0001F37F"},
        {":postal_horn:" , "\U0001F4EF"},
        {":postbox:" , "\U0001F4EE"},
        {":stew:" , "\U0001F372"},
        {":potable_water:" , "\U0001F6B0"},
        {":pouch:" , "\U0001F45D"},
        {":poultry_leg:" , "\U0001F357"},
        {":pouting_cat:" , "\U0001F63E"},
        {":rage:" , "\U0001F621"},
        {":prayer_beads:" , "\U0001F4FF"},
        {":princess:" , "\U0001F478"},
        {":printer:" , "\U0001F5A8"},
        {":loudspeaker:" , "\U0001F4E2"},
        {":purple_heart:" , "\U0001F49C"},
        {":purse:" , "\U0001F45B"},
        {":pushpin:" , "\U0001F4CC"},
        {":put_litter_in_its_place:" , "\U0001F6AE"},
        {":rabbit2:" , "\U0001F407"},
        {":rabbit:" , "\U0001F430"},
        {":racing_car:" , "\U0001F3CE"},
        {":racing_motorcycle:" , "\U0001F3CD"},
        {":radio:" , "\U0001F4FB"},
        {":radio_button:" , "\U0001F518"},
        {":radioactive_sign:" , "\U00002622"},
        {":railway_car:" , "\U0001F683"},
        {":railway_track:" , "\U0001F6E4"},
        {":rainbow:" , "\U0001F308"},
        {":fist:" , "\U0000270A"},
        {":hand:" , "\U0000270B"},
        {":raised_hand:" , "\U0000270B"},
        {":raised_hand_with_fingers_splayed:" , "\U0001F590"},
        {":raised_hand_with_part_between_middle_and_ring_fingers:" , "\U0001F596"},
        {":ram:" , "\U0001F40F"},
        {":rat:" , "\U0001F400"},
        {":blue_car:" , "\U0001F699"},
        {":apple:" , "\U0001F34E"},
        {":registered:" , "\U000000AE"},
        {":relieved:" , "\U0001F60C"},
        {":reminder_ribbon:" , "\U0001F397"},
        {":restroom:" , "\U0001F6BB"},
        {":reversed_hand_with_middle_finger_extended:" , "\U0001F595"},
        {":revolving_hearts:" , "\U0001F49E"},
        {":ribbon:" , "\U0001F380"},
        {":rice_ball:" , "\U0001F359"},
        {":rice_cracker:" , "\U0001F358"},
        {":mag_right:" , "\U0001F50E"},
        {":right_anger_bubble:" , "\U0001F5EF"},
        {":arrow_right_hook:" , "\U000021AA"},
        {":ring:" , "\U0001F48D"},
        {":sweet_potato:" , "\U0001F360"},
        {":robot_face:" , "\U0001F916"},
        {":rocket:" , "\U0001F680"},
        {":rolled__up_newspaper:" , "\U0001F5DE"},
        {":roller_coaster:" , "\U0001F3A2"},
        {":rooster:" , "\U0001F413"},
        {":rose:" , "\U0001F339"},
        {":rosette:" , "\U0001F3F5"},
        {":round_pushpin:" , "\U0001F4CD"},
        {":rowboat:" , "\U0001F6A3"},
        {":rugby_football:" , "\U0001F3C9"},
        {":runner:" , "\U0001F3C3"},
        {":running:" , "\U0001F3C3"},
        {":running_shirt_with_sash:" , "\U0001F3BD"},
        {":sagittarius:" , "\U00002650"},
        {":boat:" , "\U000026F5"},
        {":sailboat:" , "\U000026F5"},
        {":sake:" , "\U0001F376"},
        {":satellite:" , "\U0001F4E1"},
        {":saxophone:" , "\U0001F3B7"},
        {":scales:" , "\U00002696"},
        {":school:" , "\U0001F3EB"},
        {":school_satchel:" , "\U0001F392"},
        {":scorpion:" , "\U0001F982"},
        {":scorpius:" , "\U0000264F"},
        {":scroll:" , "\U0001F4DC"},
        {":seat:" , "\U0001F4BA"},
        {":see_no_evil:" , "\U0001F648"},
        {":seedling:" , "\U0001F331"},
        {":shamrock:" , "\U00002618"},
        {":shaved_ice:" , "\U0001F367"},
        {":sheep:" , "\U0001F411"},
        {":shield:" , "\U0001F6E1"},
        {":shinto_shrine:" , "\U000026E9"},
        {":ship:" , "\U0001F6A2"},
        {":stars:" , "\U0001F320"},
        {":shopping_bags:" , "\U0001F6CD"},
        {":cake:" , "\U0001F370"},
        {":shower:" , "\U0001F6BF"},
        {":sign_of_the_horns:" , "\U0001F918"},
        {":japan:" , "\U0001F5FE"},
        {":six_pointed_star:" , "\U0001F52F"},
        {":ski:" , "\U0001F3BF"},
        {":skier:" , "\U000026F7"},
        {":skull:" , "\U0001F480"},
        {":skull_and_crossbones:" , "\U00002620"},
        {":sleeping_accommodation:" , "\U0001F6CC"},
        {":sleeping:" , "\U0001F634"},
        {":zzz:" , "\U0001F4A4"},
        {":sleepy:" , "\U0001F62A"},
        {":sleuth_or_spy:" , "\U0001F575"},
        {":pizza:" , "\U0001F355"},
        {":slightly_frowning_face:" , "\U0001F641"},
        {":slightly_smiling_face:" , "\U0001F642"},
        {":slot_machine:" , "\U0001F3B0"},
        {":small_airplane:" , "\U0001F6E9"},
        {":small_blue_diamond:" , "\U0001F539"},
        {":small_orange_diamond:" , "\U0001F538"},
        {":heart_eyes_cat:" , "\U0001F63B"},
        {":smiley_cat:" , "\U0001F63A"},
        {":innocent:" , "\U0001F607"},
        {":heart_eyes:" , "\U0001F60D"},
        {":smiling_imp:" , "\U0001F608"},
        {":smiley:" , "\U0001F603"},
        {":sweat_smile:" , "\U0001F605"},
        {":smile:" , "\U0001F604"},
        {":laughing:" , "\U0001F606"},
        {":satisfied:" , "\U0001F606"},
        {":blush:" , "\U0001F60A"},
        {":sunglasses:" , "\U0001F60E"},
        {":smirk:" , "\U0001F60F"},
        {":smoking:" , "\U0001F6AC"},
        {":snail:" , "\U0001F40C"},
        {":snake:" , "\U0001F40D"},
        {":snow_capped_mountain:" , "\U0001F3D4"},
        {":snowboarder:" , "\U0001F3C2"},
        {":snowflake:" , "\U00002744"},
        {":snowman:" , "\U00002603"},
        {":soccer:" , "\U000026BD"},
        {":icecream:" , "\U0001F366"},
        {":soon:" , "\U0001F51C"},
        {":arrow_lower_right:" , "\U00002198"},
        {":arrow_lower_left:" , "\U00002199"},
        {":spaghetti:" , "\U0001F35D"},
        {":sparkle:" , "\U00002747"},
        {":sparkles:" , "\U00002728"},
        {":sparkling_heart:" , "\U0001F496"},
        {":speak_no_evil:" , "\U0001F64A"},
        {":speaker:" , "\U0001F508"},
        {":mute:" , "\U0001F507"},
        {":sound:" , "\U0001F509"},
        {":loud_sound:" , "\U0001F50A"},
        {":speaking_head_in_silhouette:" , "\U0001F5E3"},
        {":speech_balloon:" , "\U0001F4AC"},
        {":speedboat:" , "\U0001F6A4"},
        {":spider:" , "\U0001F577"},
        {":spider_web:" , "\U0001F578"},
        {":spiral_calendar_pad:" , "\U0001F5D3"},
        {":spiral_note_pad:" , "\U0001F5D2"},
        {":shell:" , "\U0001F41A"},
        {":sweat_drops:" , "\U0001F4A6"},
        {":sports_medal:" , "\U0001F3C5"},
        {":whale:" , "\U0001F433"},
        {":u5272:" , "\U0001F239"},
        {":u5408:" , "\U0001F234"},
        {":u55b6:" , "\U0001F23A"},
        {":u6307:" , "\U0001F22F"},
        {":u6708:" , "\U0001F237"},
        {":u6709:" , "\U0001F236"},
        {":u6e80:" , "\U0001F235"},
        {":u7121:" , "\U0001F21A"},
        {":u7533:" , "\U0001F238"},
        {":u7981:" , "\U0001F232"},
        {":u7a7a:" , "\U0001F233"},
        {":cl:" , "\U0001F191"},
        {":cool:" , "\U0001F192"},
        {":free:" , "\U0001F193"},
        {":id:" , "\U0001F194"},
        {":koko:" , "\U0001F201"},
        {":sa:" , "\U0001F202"},
        {":new:" , "\U0001F195"},
        {":ng:" , "\U0001F196"},
        {":ok:" , "\U0001F197"},
        {":sos:" , "\U0001F198"},
        {":up:" , "\U0001F199"},
        {":vs:" , "\U0001F19A"},
        {":stadium:" , "\U0001F3DF"},
        {":star_and_crescent:" , "\U0000262A"},
        {":star_of_david:" , "\U00002721"},
        {":station:" , "\U0001F689"},
        {":statue_of_liberty:" , "\U0001F5FD"},
        {":steam_locomotive:" , "\U0001F682"},
        {":ramen:" , "\U0001F35C"},
        {":stopwatch:" , "\U000023F1"},
        {":straight_ruler:" , "\U0001F4CF"},
        {":strawberry:" , "\U0001F353"},
        {":studio_microphone:" , "\U0001F399"},
        {":partly_sunny:" , "\U000026C5"},
        {":sun_with_face:" , "\U0001F31E"},
        {":sunflower:" , "\U0001F33B"},
        {":sunrise:" , "\U0001F305"},
        {":sunrise_over_mountains:" , "\U0001F304"},
        {":city_sunrise:" , "\U0001F307"},
        {":surfer:" , "\U0001F3C4"},
        {":sushi:" , "\U0001F363"},
        {":suspension_railway:" , "\U0001F69F"},
        {":swimmer:" , "\U0001F3CA"},
        {":synagogue:" , "\U0001F54D"},
        {":syringe:" , "\U0001F489"},
        {":shirt:" , "\U0001F455"},
        {":tshirt:" , "\U0001F455"},
        {":table_tennis_paddle_and_ball:" , "\U0001F3D3"},
        {":taco:" , "\U0001F32E"},
        {":tanabata_tree:" , "\U0001F38B"},
        {":tangerine:" , "\U0001F34A"},
        {":taurus:" , "\U00002649"},
        {":taxi:" , "\U0001F695"},
        {":tea:" , "\U0001F375"},
        {":calendar:" , "\U0001F4C6"},
        {":telephone_receiver:" , "\U0001F4DE"},
        {":telescope:" , "\U0001F52D"},
        {":tv:" , "\U0001F4FA"},
        {":tennis:" , "\U0001F3BE"},
        {":tent:" , "\U000026FA"},
        {":thermometer:" , "\U0001F321"},
        {":thinking_face:" , "\U0001F914"},
        {":thought_balloon:" , "\U0001F4AD"},
        {":three_button_mouse:" , "\U0001F5B1"},
        {":+1:" , "\U0001F44D"},
        {":thumbsup:" , "\U0001F44D"},
        {":__1:" , "\U0001F44E"},
        {":-1:" , "\U0001F44E"},
        {":thumbsdown:" , "\U0001F44E"},
        {":thunder_cloud_and_rain:" , "\U000026C8"},
        {":ticket:" , "\U0001F3AB"},
        {":tiger2:" , "\U0001F405"},
        {":tiger:" , "\U0001F42F"},
        {":timer_clock:" , "\U000023F2"},
        {":tired_face:" , "\U0001F62B"},
        {":toilet:" , "\U0001F6BD"},
        {":tokyo_tower:" , "\U0001F5FC"},
        {":tomato:" , "\U0001F345"},
        {":tongue:" , "\U0001F445"},
        {":tophat:" , "\U0001F3A9"},
        {":top:" , "\U0001F51D"},
        {":trackball:" , "\U0001F5B2"},
        {":tractor:" , "\U0001F69C"},
        {":tm:" , "\U00002122"},
        {":train2:" , "\U0001F686"},
        {":tram:" , "\U0001F68A"},
        {":train:" , "\U0001F68B"},
        {":triangular_flag_on_post:" , "\U0001F6A9"},
        {":triangular_ruler:" , "\U0001F4D0"},
        {":trident:" , "\U0001F531"},
        {":trolleybus:" , "\U0001F68E"},
        {":trophy:" , "\U0001F3C6"},
        {":tropical_drink:" , "\U0001F379"},
        {":tropical_fish:" , "\U0001F420"},
        {":trumpet:" , "\U0001F3BA"},
        {":tulip:" , "\U0001F337"},
        {":turkey:" , "\U0001F983"},
        {":turtle:" , "\U0001F422"},
        {":twisted_rightwards_arrows:" , "\U0001F500"},
        {":two_hearts:" , "\U0001F495"},
        {":two_men_holding_hands:" , "\U0001F46C"},
        {":two_women_holding_hands:" , "\U0001F46D"},
        {":umbrella:" , "\U00002602"},
        {":umbrella_on_ground:" , "\U000026F1"},
        {":unamused:" , "\U0001F612"},
        {":unicorn_face:" , "\U0001F984"},
        {":small_red_triangle:" , "\U0001F53A"},
        {":arrow_up_small:" , "\U0001F53C"},
        {":arrow_up_down:" , "\U00002195"},
        {":upside__down_face:" , "\U0001F643"},
        {":arrow_up:" , "\U00002B06"},
        {":vertical_traffic_light:" , "\U0001F6A6"},
        {":vibration_mode:" , "\U0001F4F3"},
        {":v:" , "\U0000270C"},
        {":video_camera:" , "\U0001F4F9"},
        {":video_game:" , "\U0001F3AE"},
        {":vhs:" , "\U0001F4FC"},
        {":violin:" , "\U0001F3BB"},
        {":virgo:" , "\U0000264D"},
        {":volcano:" , "\U0001F30B"},
        {":volleyball:" , "\U0001F3D0"},
        {":waning_crescent_moon:" , "\U0001F318"},
        {":waning_gibbous_moon:" , "\U0001F316"},
        {":warning:" , "\U000026A0"},
        {":wastebasket:" , "\U0001F5D1"},
        {":watch:" , "\U0000231A"},
        {":water_buffalo:" , "\U0001F403"},
        {":wc:" , "\U0001F6BE"},
        {":ocean:" , "\U0001F30A"},
        {":watermelon:" , "\U0001F349"},
        {":waving_black_flag:" , "\U0001F3F4"},
        {":wave:" , "\U0001F44B"},
        {":waving_white_flag:" , "\U0001F3F3"},
        {":wavy_dash:" , "\U00003030"},
        {":waxing_crescent_moon:" , "\U0001F312"},
        {":moon:" , "\U0001F314"},
        {":waxing_gibbous_moon:" , "\U0001F314"},
        {":scream_cat:" , "\U0001F640"},
        {":weary:" , "\U0001F629"},
        {":wedding:" , "\U0001F492"},
        {":weight_lifter:" , "\U0001F3CB"},
        {":whale2:" , "\U0001F40B"},
        {":wheel_of_dharma:" , "\U00002638"},
        {":wheelchair:" , "\U0000267F"},
        {":point_down:" , "\U0001F447"},
        {":grey_exclamation:" , "\U00002755"},
        {":white_flower:" , "\U0001F4AE"},
        {":white_frowning_face:" , "\U00002639"},
        {":white_check_mark:" , "\U00002705"},
        {":white_large_square:" , "\U00002B1C"},
        {":point_left:" , "\U0001F448"},
        {":white_medium_small_square:" , "\U000025FD"},
        {":white_medium_square:" , "\U000025FB"},
        {":star:" , "\U00002B50"},
        {":grey_question:" , "\U00002754"},
        {":point_right:" , "\U0001F449"},
        {":white_small_square:" , "\U000025AB"},
        {":relaxed:" , "\U0000263A"},
        {":white_square_button:" , "\U0001F533"},
        {":white_sun_behind_cloud:" , "\U0001F325"},
        {":white_sun_behind_cloud_with_rain:" , "\U0001F326"},
        {":white_sun_with_small_cloud:" , "\U0001F324"},
        {":point_up_2:" , "\U0001F446"},
        {":point_up:" , "\U0000261D"},
        {":wind_blowing_face:" , "\U0001F32C"},
        {":wind_chime:" , "\U0001F390"},
        {":wine_glass:" , "\U0001F377"},
        {":wink:" , "\U0001F609"},
        {":wolf:" , "\U0001F43A"},
        {":woman:" , "\U0001F469"},
        {":dancers:" , "\U0001F46F"},
        {":boot:" , "\U0001F462"},
        {":womans_clothes:" , "\U0001F45A"},
        {":womans_hat:" , "\U0001F452"},
        {":sandal:" , "\U0001F461"},
        {":womens:" , "\U0001F6BA"},
        {":world_map:" , "\U0001F5FA"},
        {":worried:" , "\U0001F61F"},
        {":gift:" , "\U0001F381"},
        {":wrench:" , "\U0001F527"},
        {":writing_hand:" , "\U0000270D"},
        {":yellow_heart:" , "\U0001F49B"},
        {":yin_yang:" , "\U0000262F"},
        {":zipper__mouth_face:" , "\U0001F910"}
    };  

    std::string emojize(std::string s) {
        int index = -1;
        int sLen = s.size();
        for (int i = 0; i < sLen; i++) {
            if (s[i] == *L":") {
                if (index == -1) {
                    index = i;
                }
                else {
                    if (i - index==1) {
                        index = i;
                        continue;
                    }
                    std::map<std::string, std::string>::iterator it;
                    it = EMOJIS.find(s.substr(index, i - index + 1));
                    if (it == EMOJIS.end()) {
                        index = i;
                        continue;
                    }
                    std::string emo = it->second;
                    // replace from index to i
                    //std::cout << s.substr(index, i - index + 1) << std::endl; // <---- uncomment to see what text is replaced, might be good for debugging
                    s.replace(index, i - index + 1 , emo);
                    int goBack = i - index + 1 - emo.size();
                    sLen -= goBack;
                    i -= goBack;
                    index = -1;
                }
            }
        }
        return s;
    }
}
